#########################################
### This file executes the empirical work
### in Chapter 6
#########################################
### Uses data file cps09mar.txt
#########################################

dat <- read.table("cps09mar.txt")
experience <- dat[,1]-dat[,4]-6
mbf <- (dat[,11]==2)&(dat[,12]<=2)&(dat[,2]==1)&(experience==12)
dat1 <- dat[mbf,]
wage <- as.matrix(dat1[,5]/(dat1[,6]*dat1[,7]))
lwage <- log(wage)
education <- dat1[,4]
n <- length(wage)

mwage <- mean(wage)
mlwage <- mean(lwage)
meducation <- mean(education)
vwage <- mean((wage-mwage)^2)
vlwage <- mean((lwage-mlwage)^2)
veducation <- mean((education-meducation)^2)
swage <- sqrt(vwage)
slwage <- sqrt(vlwage)
seducation <- sqrt(veducation)
uswage <- sd(wage)
uslwage <- sd(lwage)
useducation <- sd(education)
sewage <- uswage/sqrt(n)
seeducation <- useducation/sqrt(n)
c <- cov(wage,education)
corr <- c/uswage/useducation
gmean <- exp(mlwage)
medwage <- median(wage)

cat("Sample size, mean wage, mean log(wage), mean education \n")
print(n)
print(mwage)
print(mlwage)
print(meducation)
cat("Standard deviation: wage, log(wage), education \n")
print(swage)
print(slwage)
print(seducation)
cat("Geometric mean, median\n")
print(gmean)
print(medwage)
cat("Unbiased Standard deviation: wage, log(wage), education \n")
print(uswage)
print(uslwage)
print(useducation)
cat("s.e. of mean estimator: wage, education \n")
print(sewage)
print(seeducation)
cat("covariance,correlation \n")
print(c)
print(corr)
