#####################################
### This file generates Figure 10.1
### Exponential Likelihood
#####################################


#####################################
### Likelihood
#####################################

x <- seq(0.01,10,by=0.01)
xbar <- 2
L <- exp(-xbar/x)/x
Lbar <- max(L)

wd <- 1.4

pdf("hansen10-1a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,L,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab=expression(lambda),ylim=c(0,Lbar+.03),xaxt="n",yaxt="n",bty="n",lwd=wd)
points(xbar,Lbar,pch=19,col="black",cex=.7)
axis(side=1,seq(0,10,1),lwd=wd)
text(xbar,Lbar+.02,expression(hat(lambda)))
text(7,.13,expression(L[n](lambda)))
dev.off()

postscript("hansen10-1a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,L,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab=expression(lambda),ylim=c(0,Lbar+.03),xaxt="n",yaxt="n",bty="n",lwd=wd)
points(xbar,Lbar,pch=19,col="black",cex=.7)
axis(side=1,seq(0,10,1),lwd=wd)
text(xbar,Lbar+.02,expression(hat(lambda)))
text(7,.13,expression(L[n](lambda)))
dev.off()

#####################################
### Log Likelihood
#####################################

L <- -log(x) - xbar/x
Lbar <- max(L)

pdf("hansen10-1b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,L,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab=expression(lambda),ylim=c(-3,Lbar+.17),xaxt="n",yaxt="n",bty="n",lwd=wd)
points(xbar,Lbar,pch=19,col="black",cex=.7)
axis(side=1,seq(0,10,1),lwd=wd)
text(xbar,Lbar+.1,expression(hat(lambda)))
text(7,-2.1,expression(l[n](lambda)))
dev.off()

postscript("hansen10-1b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,L,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab=expression(lambda),ylim=c(-3,Lbar+.17),xaxt="n",yaxt="n",bty="n",lwd=wd)
points(xbar,Lbar,pch=19,col="black",cex=.7)
axis(side=1,seq(0,10,1),lwd=wd)
text(xbar,Lbar+.1,expression(hat(lambda)))
text(7,-2.1,expression(l[n](lambda)))
dev.off()

