#####################################
### This file generates Figure 10.6
### Double Exponential Likelihood Functions
#####################################


x <- as.matrix(c(1,2,3,3.5,3.9))
n <- nrow(x)
xm <- x%*%matrix(1,1,n)
f <- -n*log(2)-rowSums(abs(xm - t(xm)))
m <- max(f)

wd <- 1.4

pdf("hansen10-6a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,f,type="b",lty=1,xaxs="i",yaxs="i",ylab="",xlab=expression(theta),yaxt="n",bty="n",xlim=c(.9,4),ylim=c(-12,-7),lwd=wd)
axis(side=1,lwd=wd)
points(3,m,pch=19,col="black",cex=1.1)
text(3,-7.4,expression(hat(theta)))
text(1.5,-9.2,expression(l[n](theta)))
dev.off()

postscript("hansen10-6a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,f,type="b",lty=1,xaxs="i",yaxs="i",ylab="",xlab=expression(theta),yaxt="n",bty="n",xlim=c(.9,4),ylim=c(-12,-7),lwd=wd)
axis(side=1,lwd=wd)
points(3,m,pch=19,col="black",cex=1.1)
text(3,-7.4,expression(hat(theta)))
text(1.5,-9.2,expression(l[n](theta)))
dev.off()

x <- as.matrix(c(1,2,3,3.5,3.75,4))
n <- nrow(x)
xm <- x%*%matrix(1,1,n)
f <- -n*log(2)-rowSums(abs(xm - t(xm)))
m <- max(f)

pdf("hansen10-6b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,f,type="b",lty=1,xaxs="i",yaxs="i",ylab="",xlab=expression(theta),yaxt="n",bty="n",xlim=c(.9,4.1),ylim=c(min(f)-.3,max(f)+.9),lwd=wd)
axis(side=1,lwd=wd)
points(3.25,m,pch=19,col="black",cex=1.1)
text(3.25,m+.6,expression(hat(theta)))
text(1.5,-12,expression(l[n](theta)))
dev.off()

postscript("hansen10-6b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,f,type="b",lty=1,xaxs="i",yaxs="i",ylab="",xlab=expression(theta),yaxt="n",bty="n",xlim=c(.9,4.1),ylim=c(min(f)-.3,max(f)+.9),lwd=wd)
axis(side=1,lwd=wd)
points(3.25,m,pch=19,col="black",cex=1.1)
text(3.25,m+.6,expression(hat(theta)))
text(1.5,-12,expression(l[n](theta)))
dev.off()
