#####################################
### This file generates Figure 10.7
### Proof of Convergence
#####################################

x <- seq(-.75,1.25,by=0.01)
S <- -(x^2)
fd <- -.025
l0 <- -(.5)^2 + fd
l1 <- -(.5)^2

x1 <- seq(-.75,0,by=0.01)
x2 <- seq(0,.5,by=0.01)
x3 <- seq(.5,1.25,by=0.01)
S1 <- -(x1-.5)^2 + fd
S2 <- -(x2-.5)^2 + fd
S3 <- -(x3-.5)^2 + fd
leg1 <- expression(l(theta[0]))
leg2 <- expression(l[n](theta[0]))
leg3 <- expression(l[n](hat(theta)))
leg4 <- expression(l(hat(theta)))
leg5 <- expression(l(theta))
leg6 <- expression(l[n](theta))


pdf("hansen10-7.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,S,type="l",lty=1,xaxs="i",yaxs="i",xlab="",ylab="",xaxt="n",yaxt="n",bty="n",ylim=c(-.56,.1))
lines(x1,S1,)
lines(x2,S2,lwd=2)
lines(x3,S3)
points(0,0,pch=19,col="black",cex=.8)
points(.5,fd,pch=19,col="black",cex=.8)
points(0,l0,pch=19,col="black",cex=.8)
points(.5,l1,pch=19,col="black",cex=.8)
text(0,0.05,leg1,cex=.8)
text(.15,l0,leg2,cex=.8)
text(.5,.05+fd,leg3,cex=.8)
text(.625,-.25,leg4,cex=.8)
text(-0.55,-.2,leg5,cex=.8)
text(1.05,-.2,leg6,cex=.8)
lines(c(0,0),c(0,l0),lty=5)
lines(c(.5,.5),c(fd,l1),lty=5)
dev.off()

postscript("hansen10-7.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,S,type="l",lty=1,xaxs="i",yaxs="i",xlab="",ylab="",xaxt="n",yaxt="n",bty="n",ylim=c(-.56,.1))
lines(x1,S1,)
lines(x2,S2,lwd=2)
lines(x3,S3)
points(0,0,pch=19,col="black",cex=.8)
points(.5,fd,pch=19,col="black",cex=.8)
points(0,l0,pch=19,col="black",cex=.8)
points(.5,l1,pch=19,col="black",cex=.8)
text(0,0.05,leg1,cex=.8)
text(.15,l0,leg2,cex=.8)
text(.5,.05+fd,leg3,cex=.8)
text(.625,-.25,leg4,cex=.8)
text(-0.55,-.2,leg5,cex=.8)
text(1.05,-.2,leg6,cex=.8)
lines(c(0,0),c(0,l0),lty=5)
lines(c(.5,.5),c(fd,l1),lty=5)
dev.off()
