######################################
### This file generates Figure 11.3
### EDF and Quantile Functions
######################################
### Uses data file cps09mar.txt
#########################################

dat <- read.table("cps09mar.txt")
experience <- dat[,1]-dat[,4]-6
mbf <- (dat[,11]==2)&(dat[,12]<=2)&(dat[,2]==1)&(experience==12)
dat1 <- dat[mbf,]

wage <- as.matrix(dat1[,5]/(dat1[,6]*dat1[,7]))
w <- sort(wage)
n <- length(wage)

wd <- 1.4

pdf("hansen11-3a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(3,60),c(0.04,1))
points(w[1],0,pch=1,col="black",cex=.6)
points(w[n],1,pch=19,col="black",cex=.6)
for (i in 1:(n-1)) {
  points(w[i+1],i/n,pch=1,col="black",cex=.6) 
  points(w[i],i/n,pch=19,col="black",cex=.6)
  lines(c(w[i],w[i+1]-.25),c(i/n,i/n),lwd=wd)
  points(w[i],0.02,pch=4,col="black",cex=.6)
}
points(w[n],0.02,pch=4,col="black",cex=.6)
lines(c(0,w[1]-.2),c(0,0),lwd=wd)
lines(c(w[n],60),c(1,1),lwd=wd)
axis(side=1,seq(-10,70,10),lwd=wd)
axis(side=2,seq(-1,1,.2),lwd=wd)
dev.off()

postscript("hansen11-3a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(3,60),c(0.04,1))
points(w[1],0,pch=1,col="black",cex=.6)
points(w[n],1,pch=19,col="black",cex=.6)
for (i in 1:(n-1)) {
  points(w[i+1],i/n,pch=1,col="black",cex=.6) 
  points(w[i],i/n,pch=19,col="black",cex=.6)
  lines(c(w[i],w[i+1]-.25),c(i/n,i/n),lwd=wd)
  points(w[i],0.02,pch=4,col="black",cex=.6)
}
points(w[n],0.02,pch=4,col="black",cex=.6)
lines(c(0,w[1]-.2),c(0,0),lwd=wd)
lines(c(w[n],60),c(1,1),lwd=wd)
axis(side=1,seq(-10,70,10),lwd=wd)
axis(side=2,seq(-1,1,.2),lwd=wd)
dev.off()


pdf("hansen11-3b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(.03,.97),c(3,60))
abline(h=0,lwd=wd)
for (i in 1:(n)) {
  points((i-1)/n,w[i],pch=19,col="black",cex=.6) 
  points((i)/n,w[i],pch=1,col="black",cex=.6)
  lines(c((i-1)/n,(i)/n-.005),c(w[i],w[i]),lwd=wd)
}
points(1,w[n],pch=19,col="black",cex=.6)
axis(side=1,seq(-1,1,.2),lwd=wd)
axis(side=2,seq(-10,60,10),lwd=wd)
dev.off()

postscript("hansen11-3b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(.03,.97),c(3,60))
abline(h=0,lwd=wd)
for (i in 1:(n)) {
  points((i-1)/n,w[i],pch=19,col="black",cex=.6) 
  points((i)/n,w[i],pch=1,col="black",cex=.6)
  lines(c((i-1)/n,(i)/n-.005),c(w[i],w[i]),lwd=wd)
}
points(1,w[n],pch=19,col="black",cex=.6)
axis(side=1,seq(-1,1,.2),lwd=wd)
axis(side=2,seq(-10,60,10),lwd=wd)
dev.off()
