#####################################
### This file generates Figure 12.3
### Multiple local minima
#####################################


x <- seq(-1.5,1.25,by=0.01)
f <- - dnorm(x+1/2) - dnorm(6*x-6)

i0 <- which.min(f)
x0 <- x[i0]
f0 <- f[i0]
i1 <- which.min(f[1:200])
x1 <- x[i1]
f1 <- f[i1]

pdf("hansen12-3.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylim=c(-.57,-.2),xlim=c(-1.5,1.25),ylab="",xlab="",yaxt="n",xaxt="n",bty="n")
axis(side=1,seq(-2,1.5,.5),cex.axis=.75)
points(x0,f0,pch=19,col="black",cex=1)
points(x1,f1,pch=18,col="black",cex=1.5)
text(x0,f0-.025,expression(x[0]),cex=.75)
text(x1,f1-.025,expression(x[1]),cex=.75)
dev.off()

postscript("hansen12-3.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylim=c(-.57,-.2),xlim=c(-1.5,1.25),ylab="",xlab="",yaxt="n",xaxt="n",bty="n")
axis(side=1,seq(-2,1.5,.5),cex.axis=.75)
points(x0,f0,pch=19,col="black",cex=1)
points(x1,f1,pch=18,col="black",cex=1.5)
text(x0,f0-.025,expression(x[0]),cex=.75)
text(x1,f1-.025,expression(x[1]),cex=.75)
dev.off()
