######################################
### This file generates Figure 13.1 
### Hypothesis Sets
######################################
### Uses package spatstat
#########################################

library(spatstat)

pdf("hansen13-1.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-5,5),c(-5,5))
W1 <- ellipse(a=.82,b=1,centre=c(0,0),phi=0,npoly=1024)
W2 <- ellipse(a=4.2,b=5,centre=c(0,0),phi=0,npoly=1024)
plot(W1,add=TRUE)
plot(W2,add=TRUE)
text(0,0,expression(H[0]),cex=1)
text(2.7,2.7,expression(H[1]),cex=1)
dev.off()

postscript("hansen13-1.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-5,5),c(-5,5))
W1 <- ellipse(a=.82,b=1,centre=c(0,0),phi=0,npoly=1024)
W2 <- ellipse(a=4.2,b=5,centre=c(0,0),phi=0,npoly=1024)
plot(W1,add=TRUE)
plot(W2,add=TRUE)
text(0,0,expression(H[0]),cex=1)
text(2.7,2.7,expression(H[1]),cex=1)
dev.off()
