#####################################
### This file generates Figure 13.10
### Exponential Likelihood Ratio
#####################################


#####################################
### Likelihood
#####################################

x <- seq(.558,10,by=0.01)
xbar <- 2
L <- -log(x) - xbar/x
x0 <- 5
x1 <- xbar
L0 <- -log(x0) - xbar/x0
L1 <- -log(x1) - xbar/x1

pdf("hansen13-10.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,L,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(-3.15,max(L)+.2),xaxt="n",yaxt="n",bty="n",cex.lab=.75)
abline(h=-3)
points(x0,L0,pch=19,col="black",cex=.8)
points(x1,L1,pch=19,col="black",cex=.8)
points(x0,-3,pch=19,col="black",cex=.8)
points(x1,-3,pch=19,col="black",cex=.8)
arrows(x0,-3,x0,L0,angle=20,length=.15,lty=1)
text(x0,-3.08,expression(theta[0]),cex=.8)
text(x0,L0+.1,expression(l[n](theta[0])),cex=.8)
arrows(x1,L1,x1,-3,angle=20,length=.15,lty=1)
text(x1,-3.08,expression(hat(theta)),cex=.8)
text(x1,L1+.1,expression(l[n](hat(theta))),cex=.8)
lines(c(x0,x1),c(L0,L0))
lines(c(x1,x1),c(L0,L1),lwd=2)
text(x1-.4,(L0+L1)/2,expression(LR[n]),cex=.8)
dev.off()

postscript("hansen13-10.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,L,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(-3.15,max(L)+.2),xaxt="n",yaxt="n",bty="n",cex.lab=.75)
abline(h=-3)
points(x0,L0,pch=19,col="black",cex=.8)
points(x1,L1,pch=19,col="black",cex=.8)
points(x0,-3,pch=19,col="black",cex=.8)
points(x1,-3,pch=19,col="black",cex=.8)
arrows(x0,-3,x0,L0,angle=20,length=.15,lty=1)
text(x0,-3.08,expression(theta[0]),cex=.8)
text(x0,L0+.1,expression(l[n](theta[0])),cex=.8)
arrows(x1,L1,x1,-3,angle=20,length=.15,lty=1)
text(x1,-3.08,expression(hat(theta)),cex=.8)
text(x1,L1+.1,expression(l[n](hat(theta))),cex=.8)
lines(c(x0,x1),c(L0,L0))
lines(c(x1,x1),c(L0,L1),lwd=2)
text(x1-.4,(L0+L1)/2,expression(LR[n]),cex=.8)
dev.off()
