######################################
### This file generates Figures 13.2 & 13.3 
### Acceptance and Rejection regions
######################################


pdf("hansen13-2.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-.5,5),c(-.5,5))
polygon(c(5,5,1),c(0,4,0),col=gray(.8),border=NA)
arrows(0,0,5,0,angle=20,length=.1)
arrows(0,0,0,5,angle=20,length=.1)
lines(c(1,5),c(0,4))
points(3.5,4.2,pch=19,col="black",cex=.75)
text(3.5,4,"a",cex=.75)
points(4.5,2.5,pch=19,col="black",cex=.75)
text(4.5,2.3,"b",cex=.75)
text(1.5,3,expression(paste(bar(W)[1]-bar(W)[2],""<=A)),cex=.75)
text(4,1.5,expression(bar(W)[1]-bar(W)[2]>A),cex=.75)
text(3.5,.75,"Rejection Region",cex=.75)
text(1.2,2.3,"Acceptance Region",cex=.75)
text(4.7,-.3,expression(bar(W)[1]),cex=.75)
text(-.3,4.7,expression(bar(W)[2]),cex=.75)
dev.off()

postscript("hansen13-2.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-.5,5),c(-.5,5))
polygon(c(5,5,1),c(0,4,0),col=gray(.8),border=NA)
arrows(0,0,5,0,angle=20,length=.1)
arrows(0,0,0,5,angle=20,length=.1)
lines(c(1,5),c(0,4))
points(3.5,4.2,pch=19,col="black",cex=.75)
text(3.5,4,"a",cex=.75)
points(4.5,2.5,pch=19,col="black",cex=.75)
text(4.5,2.3,"b",cex=.75)
text(1.5,3,expression(paste(bar(W)[1]-bar(W)[2],""<=A)),cex=.75)
text(4,1.5,expression(bar(W)[1]-bar(W)[2]>A),cex=.75)
text(3.5,.75,"Rejection Region",cex=.75)
text(1.2,2.3,"Acceptance Region",cex=.75)
text(4.7,-.3,expression(bar(W)[1]),cex=.75)
text(-.3,4.7,expression(bar(W)[2]),cex=.75)
dev.off()

pdf("hansen13-3.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-.5,5),c(-.5,5))
polygon(c(5,5,1),c(0,4,0),col=gray(.8),border=NA)
polygon(c(0,0,4),c(1,5,5),col=gray(.8),border=NA)
lines(c(0,5),c(0,0))
lines(c(0,0),c(0,5))
lines(c(5,5),c(0,5))
lines(c(0,5),c(5,5))
lines(c(0,4),c(1,5))
lines(c(1,5),c(0,4))
lines(c(0,5),c(0,5))
text(2.7,-.3,expression(X[1]),cex=.75)
text(-.3,2.7,expression(X[2]),cex=.75)
text(1,3.5,expression(X[2]-X[1]>B),cex=.75)
text(2.3,2.37,expression(paste("|",X[2]-X[1],"|",""<=B)),cex=.75)
text(3.5,1,expression(X[1]-X[2]>B),cex=.75)
points(3,4.5,pch=19,col="black",cex=.75)
text(3,4.8,"a",cex=.75)
points(4.3,3.8,pch=19,col="black",cex=.75)
text(4.3,3.6,"b",cex=.75)
points(4.5,2.5,pch=19,col="black",cex=.75)
text(4.5,2.3,"c",cex=.75)
text(1,4.5,"Rejection Region",cex=.75)
text(3,.5,"Rejection Region",cex=.75)
text(1.2,1.3,"Acceptance",cex=.75)
text(1.2,1.0,"Region",cex=.75)
dev.off()

postscript("hansen13-3.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-.5,5),c(-.5,5))
polygon(c(5,5,1),c(0,4,0),col=gray(.8),border=NA)
polygon(c(0,0,4),c(1,5,5),col=gray(.8),border=NA)
lines(c(0,5),c(0,0))
lines(c(0,0),c(0,5))
lines(c(5,5),c(0,5))
lines(c(0,5),c(5,5))
lines(c(0,4),c(1,5))
lines(c(1,5),c(0,4))
lines(c(0,5),c(0,5))
text(2.7,-.3,expression(X[1]),cex=.75)
text(-.3,2.7,expression(X[2]),cex=.75)
text(1,3.5,expression(X[2]-X[1]>B),cex=.75)
text(2.3,2.37,expression(paste("|",X[2]-X[1],"|",""<=B)),cex=.75)
text(3.5,1,expression(X[1]-X[2]>B),cex=.75)
points(3,4.5,pch=19,col="black",cex=.75)
text(3,4.8,"a",cex=.75)
points(4.3,3.8,pch=19,col="black",cex=.75)
text(4.3,3.6,"b",cex=.75)
points(4.5,2.5,pch=19,col="black",cex=.75)
text(4.5,2.3,"c",cex=.75)
text(1,4.5,"Rejection Region",cex=.75)
text(3,.5,"Rejection Region",cex=.75)
text(1.2,1.3,"Acceptance",cex=.75)
text(1.2,1.0,"Region",cex=.75)
dev.off()
