######################################
### This file generates Figure 13.4 
### Acceptance and Rejection regions
######################################


wd <- 1.4

pdf("hansen13-4a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-5,5),c(-1,1))
arrows(0,0,5,0,angle=20,length=.1,lwd=wd)
arrows(0,0,-5,0,angle=20,length=.1,lwd=wd)
lines(c(0,0),c(-.05,.05),lwd=wd)
text(2.5,.2,expression(paste("Reject ",H[0])))
text(-2.5,.2,expression(paste("Accept ",H[0])))
text(0,-.2,expression(c))
text(2.5,-.2,expression(T>c))
text(-2.5,-.2,expression(paste(T,""<=c)))
dev.off()

postscript("hansen13-4a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-5,5),c(-1,1))
arrows(0,0,5,0,angle=20,length=.1,lwd=wd)
arrows(0,0,-5,0,angle=20,length=.1,lwd=wd)
lines(c(0,0),c(-.05,.05),lwd=wd)
text(2.5,.2,expression(paste("Reject ",H[0])))
text(-2.5,.2,expression(paste("Accept ",H[0])))
text(0,-.2,expression(c))
text(2.5,-.2,expression(T>c))
text(-2.5,-.2,expression(paste(T,""<=c)))
dev.off()

pdf("hansen13-4b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-5,5),c(-1,1))
arrows(0,0,5,0,angle=20,length=.1,lwd=wd)
arrows(0,0,-5,0,angle=20,length=.1,lwd=wd)
lines(c(2,2),c(-.05,.05),lwd=wd)
lines(c(-2,-2),c(-.05,.05),lwd=wd)
text(3.5,.2,expression(paste("Reject ",H[0])))
text(-3.5,.2,expression(paste("Reject ",H[0])))
text(0,.2,expression(paste("Accept ",H[0])))
text(2,-.15,expression(c))
text(-2,-.15,expression(-c))
text(3.5,-.2,expression(T>c))
text(-3.5,-.2,expression(paste(T<"",-c)))
text(0,-.2,expression(paste("| ",T," |",""<=c)))
dev.off()

postscript("hansen13-4b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-5,5),c(-1,1))
arrows(0,0,5,0,angle=20,length=.1,lwd=wd)
arrows(0,0,-5,0,angle=20,length=.1,lwd=wd)
lines(c(2,2),c(-.05,.05),lwd=wd)
lines(c(-2,-2),c(-.05,.05),lwd=wd)
text(3.5,.2,expression(paste("Reject ",H[0])))
text(-3.5,.2,expression(paste("Reject ",H[0])))
text(0,.2,expression(paste("Accept ",H[0])))
text(2,-.15,expression(c))
text(-2,-.15,expression(-c))
text(3.5,-.2,expression(T>c))
text(-3.5,-.2,expression(paste(T<"",-c)))
text(0,-.2,expression(paste("| ",T," |",""<=c)))
dev.off()
