#####################################
### This file generates Figures 13.5 & 13.6
### Rejection Regions
#####################################


x <- seq(-3,3,by=0.01)
c <- 1.645
f <- dnorm(x)
fc <- dnorm(c)
x2 <- seq(1.65,3,by=0.01)
f2 <- dnorm(x2)

pdf("hansen13-5.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(-.05,.4),xaxt="n",yaxt="n",bty="n")
polygon(c(3,c,c,x2),c(0,0,fc,f2),col=gray(.8),border=NA)
lines(x,f)
abline(h=0)
lines(c(c,c),c(0,fc))
lines(c(0,0),c(-.005,.005))
text(0,-.02,expression(theta[0]),cex=.8)
text(c,-.02,"c",cex=.8)
text(-1,.02,expression(paste("Accept ",H[0])),cex=.75)
text(2,.02,"Reject",cex=.75)
text(-1.2,.3,expression(F[0]),cex=.75)
dev.off()

postscript("hansen13-5.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(-.05,.4),xaxt="n",yaxt="n",bty="n")
polygon(c(3,c,c,x2),c(0,0,fc,f2),col=gray(.8),border=NA)
lines(x,f)
abline(h=0)
lines(c(c,c),c(0,fc))
lines(c(0,0),c(-.005,.005))
text(0,-.02,expression(theta[0]),cex=.8)
text(c,-.02,"c",cex=.8)
text(-1,.02,expression(paste("Accept ",H[0])),cex=.75)
text(2,.02,"Reject",cex=.75)
text(-1.2,.3,expression(F[0]),cex=.75)
dev.off()


x <- seq(-3,5,by=0.01)
f <- dnorm(x)
t <- 1.3
f1 <- dnorm(x-t)
f1c <- dnorm(c-t)
x2 <- seq(1.65,5,by=0.01)
f2 <- dnorm(x2)
f3 <- dnorm(x2-t)

pdf("hansen13-6.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(-3,5),ylim=c(-.05,.4),xaxt="n",yaxt="n",bty="n")
polygon(c(3,c,c,x2),c(0,0,fc,f2),col=gray(.8),border=NA)
polygon(c(c,c,x2,rev(x2)),c(fc,f1c,f3,rev(f2)),col=gray(.9),border=NA)
abline(h=0)
lines(x,f)
lines(x,f1)
lines(c(0,0),c(-.005,.005))
text(0,-.02,expression(theta[0]),cex=.8)
lines(c(t,t),c(-.005,.005))
text(t,-.02,expression(theta[1]),cex=.8)
lines(c(c,c),c(0,fc))
lines(c(c,c),c(fc,f1c),lty=2)
text(c,-.02,"c",cex=.8)
text(0,.02,expression(paste("Accept ",H[0])),cex=.75)
text(3.0,.02,"Reject",cex=.75)
text(-1.2,.3,expression(F[0]),cex=.75)
text(2.5,.3,expression(F[1]),cex=.75)
dev.off()

postscript("hansen13-6.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(-3,5),ylim=c(-.05,.4),xaxt="n",yaxt="n",bty="n")
polygon(c(3,c,c,x2),c(0,0,fc,f2),col=gray(.8),border=NA)
polygon(c(c,c,x2,rev(x2)),c(fc,f1c,f3,rev(f2)),col=gray(.9),border=NA)
abline(h=0)
lines(x,f)
lines(x,f1)
lines(c(0,0),c(-.005,.005))
text(0,-.02,expression(theta[0]),cex=.8)
lines(c(t,t),c(-.005,.005))
text(t,-.02,expression(theta[1]),cex=.8)
lines(c(c,c),c(0,fc))
lines(c(c,c),c(fc,f1c),lty=2)
text(c,-.02,"c",cex=.8)
text(0,.02,expression(paste("Accept ",H[0])),cex=.75)
text(3.0,.02,"Reject",cex=.75)
text(-1.2,.3,expression(F[0]),cex=.75)
text(2.5,.3,expression(F[1]),cex=.75)
dev.off()
