######################################
### This file generates Figure 13.7
### Power Functions
######################################


x <- seq(0,4,by=.01)
a1 <- .1
a2 <- .05
a3 <- .005
z1 <- qnorm(1-a1)
z2 <- qnorm(1-a2)
z3 <- qnorm(1-a3)
p1 <- 1 - pnorm(z1-x)
p2 <- 1 - pnorm(z2-x)
p3 <- 1 - pnorm(z3-x)

pdf("hansen13-7.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,p1,type="l",lty=1,xaxs="i",yaxs="i",ylab="Power",xlab=expression(theta/sigma),xlim=c(0,4),ylim=c(0,1),bty="n",yaxt="n",cex.lab=.8)
axis(side=2,seq(0,1,.10))
lines(x,p2)
lines(x,p3)
text(2.75,.4,expression(alpha==0.005),cex=.75)
text(2,.5,expression(alpha==0.05),cex=.75)
text(1.2,.6,expression(alpha==0.1),cex=.75)
dev.off()

postscript("hansen13-7.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,p1,type="l",lty=1,xaxs="i",yaxs="i",ylab="Power",xlab=expression(theta/sigma),xlim=c(0,4),ylim=c(0,1),bty="n",yaxt="n",cex.lab=.8)
axis(side=2,seq(0,1,.10))
lines(x,p2)
lines(x,p3)
text(2.75,.4,expression(alpha==0.005),cex=.75)
text(2,.5,expression(alpha==0.05),cex=.75)
text(1.2,.6,expression(alpha==0.1),cex=.75)
dev.off()
