#####################################
### This file generates Figures 13.8 and 13.9
### Rejection Regions for Two-Sided Test
#####################################


x <- seq(-3,3,by=0.01)
c <- 1.96
f <- dnorm(x)
fc <- dnorm(c)
x2 <- seq(1.96,3,by=0.01)
f2 <- dnorm(x2)
x3 <- seq(-3,-1.96,by=0.01)
f3 <- dnorm(x3)

pdf("hansen13-8.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(-.05,.4),xaxt="n",yaxt="n",bty="n")
polygon(c(3,c,c,x2),c(0,0,fc,f2),col=gray(.8),border=NA)
polygon(c(-3,-c,-c,rev(x3)),c(0,0,fc,rev(f3)),col=gray(.8),border=NA)
lines(x,f,lty=1)
abline(h=0)
lines(c(c,c),c(0,fc))
lines(c(-c,-c),c(0,fc))
lines(c(0,0),c(-.005,.005))
text(0,-.02,expression(theta[0]),cex=.8)
text(c,-.02,"c",cex=.8)
text(-c,-.02,"c",cex=.8)
text(0,.1,expression(paste("Accept ",H[0])),cex=.75)
text(2.25,.01,"Reject",cex=.7)
text(-2.25,.01,"Reject",cex=.7)
text(-1.2,.3,expression(F[0]),cex=.75)
dev.off()

postscript("hansen13-8.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(-.05,.4),xaxt="n",yaxt="n",bty="n")
polygon(c(3,c,c,x2),c(0,0,fc,f2),col=gray(.8),border=NA)
polygon(c(-3,-c,-c,rev(x3)),c(0,0,fc,rev(f3)),col=gray(.8),border=NA)
lines(x,f,lty=1)
abline(h=0)
lines(c(c,c),c(0,fc))
lines(c(-c,-c),c(0,fc))
lines(c(0,0),c(-.005,.005))
text(0,-.02,expression(theta[0]),cex=.8)
text(c,-.02,"c",cex=.8)
text(-c,-.02,"c",cex=.8)
text(0,.1,expression(paste("Accept ",H[0])),cex=.75)
text(2.25,.01,"Reject",cex=.7)
text(-2.25,.01,"Reject",cex=.7)
text(-1.2,.3,expression(F[0]),cex=.75)
dev.off()


x <- seq(-3,5,by=0.01)
f <- dnorm(x)
t <- 1.3
f1 <- dnorm(x-t)
f1c <- dnorm(c-t)
x2 <- seq(1.96,5,by=0.01)
f2 <- dnorm(x2)
f4 <- dnorm(x2-t)

pdf("hansen13-9.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(-3,5),ylim=c(-.05,.4),xaxt="n",yaxt="n",bty="n")
polygon(c(3,c,c,x2),c(0,0,fc,f2),col=gray(.8),border=NA)
polygon(c(-3,-c,-c,rev(x3)),c(0,0,fc,rev(f3)),col=gray(.8),border=NA)
polygon(c(c,c,x2,rev(x2)),c(fc,f1c,f4,rev(f2)),col=gray(.9),border=NA)
lines(x,f,lty=1)
abline(h=0)
lines(x,f1)
lines(c(0,0),c(-.005,.005))
text(0,-.02,expression(theta[0]),cex=.8)
lines(c(t,t),c(-.005,.005))
text(t,-.02,expression(theta[1]),cex=.8)
lines(c(c,c),c(0,fc))
lines(c(-c,-c),c(0,fc))
lines(c(c,c),c(fc,f1c),lty=2)
text(c,-.02,"c",cex=.8)
text(-c,-.02,"c",cex=.8)
text(-1.2,.3,expression(F[0]),cex=.75)
text(2.5,.3,expression(F[1]),cex=.75)
text(0.5,.1,expression(paste("Accept ",H[0])),cex=.75)
text(-2.3,.008,"Reject",cex=.7)
text(2.7,.04,"Reject",cex=.75)
dev.off()

postscript("hansen13-9.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(-3,5),ylim=c(-.05,.4),xaxt="n",yaxt="n",bty="n")
polygon(c(3,c,c,x2),c(0,0,fc,f2),col=gray(.8),border=NA)
polygon(c(-3,-c,-c,rev(x3)),c(0,0,fc,rev(f3)),col=gray(.8),border=NA)
polygon(c(c,c,x2,rev(x2)),c(fc,f1c,f4,rev(f2)),col=gray(.9),border=NA)
lines(x,f,lty=1)
abline(h=0)
lines(x,f1)
lines(c(0,0),c(-.005,.005))
text(0,-.02,expression(theta[0]),cex=.8)
lines(c(t,t),c(-.005,.005))
text(t,-.02,expression(theta[1]),cex=.8)
lines(c(c,c),c(0,fc))
lines(c(-c,-c),c(0,fc))
lines(c(c,c),c(fc,f1c),lty=2)
text(c,-.02,"c",cex=.8)
text(-c,-.02,"c",cex=.8)
text(-1.2,.3,expression(F[0]),cex=.75)
text(2.5,.3,expression(F[1]),cex=.75)
text(0.5,.1,expression(paste("Accept ",H[0])),cex=.75)
text(-2.3,.008,"Reject",cex=.7)
text(2.7,.04,"Reject",cex=.75)
dev.off()
