#####################################
### This file generates Figure 14.1
### Exponential Likelihood Ratio interval
#####################################


#####################################
### Likelihood
#####################################

x <- seq(.558,10,by=0.01)
xbar <- 2
L <- -log(x) - xbar/x
x1 <- xbar
x0 <- 5
L0 <- -log(x0) - xbar/x0
L1 <- -log(x1) - xbar/x1
LR <- L1 - L
LD <- L1 - L0
i <- which.max(LD>LR)
xL <- x[i]
LL <- -log(xL) - xbar/xL

pdf("hansen14-1.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,L,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(-3.15,max(L)+.1),xaxt="n",yaxt="n",bty="n")
abline(h=-3)
lines(c(xL,x0),c(LL,L0),lwd=2)
text(xL,-3.09,"L",cex=.75)
text(x0,-3.09,"U",cex=.75)
arrows(x0,L0,x0,-3,angle=20,length=.15)
arrows(xL,LL,xL,-3,angle=20,length=.15)
text(x1+.4,(L1+LL)/2,expression(q[0.95]),cex=.8)
text(9,-2.3,expression(l[n](theta)),cex=.8)
points(x1,L1,pch=19,cex=.8)
text(x1,-3.07,expression(hat(theta)),cex=.8)
lines(c(x1,x1),c(-3,L1))
dev.off()

postscript("hansen14-1.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,L,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(-3.15,max(L)+.1),xaxt="n",yaxt="n",bty="n")
abline(h=-3)
lines(c(xL,x0),c(LL,L0),lwd=2)
text(xL,-3.09,"L",cex=.75)
text(x0,-3.09,"U",cex=.75)
arrows(x0,L0,x0,-3,angle=20,length=.15)
arrows(xL,LL,xL,-3,angle=20,length=.15)
text(x1+.4,(L1+LL)/2,expression(q[0.95]),cex=.8)
text(9,-2.3,expression(l[n](theta)),cex=.8)
points(x1,L1,pch=19,cex=.8)
text(x1,-3.07,expression(hat(theta)),cex=.8)
lines(c(x1,x1),c(-3,L1))
dev.off()