#####################################
### This file generates Figure 17.2 
### Kernel Density Functions
#####################################


x <- seq(0,3,by=0.01)
x2 <- x^2
k1 <- (1/2/sqrt(3))*(x2 < 3)
k2 <- dnorm(x)
k3 <- (3/4/sqrt(5))*(1-x2/5)*(x2 < 5)
k4 <- (1/sqrt(6)-abs(x)/6)*(x2 < 6)
k5 <- (15/16/sqrt(7))*((1-x2/7)^2)*(x2<7)

pdf("hansen17-2.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,k1,type="l",lty=4,xaxs="i",yaxs="i",xlim=c(-.01,3),ylim=c(0,.41),ylab="",xlab="",bty="n",yaxt="n",cex.axis=.75)
lines(x,k2,type="l",lty=1,ylab="")
lines(x,k3,type="l",lty=2,ylab="")
lines(x,k4,type="l",lty=5,ylab="")
lines(x,k5,type="l",lty=6,ylab="")
abline(v=0)
legend("topright",inset=0,legend=c("Rectangular","Gaussian","Epanechnikov","Triangular","Biweight"),lty=c(4,1,2,5,6),cex=.75,bty="n")
dev.off()

postscript("hansen17-2.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,k1,type="l",lty=4,xaxs="i",yaxs="i",xlim=c(-.01,3),ylim=c(0,.41),ylab="",xlab="",bty="n",yaxt="n",cex.axis=.75)
lines(x,k2,type="l",lty=1,ylab="")
lines(x,k3,type="l",lty=2,ylab="")
lines(x,k4,type="l",lty=5,ylab="")
lines(x,k5,type="l",lty=6,ylab="")
abline(v=0)
legend("topright",inset=0,legend=c("Rectangular","Gaussian","Epanechnikov","Triangular","Biweight"),lty=c(4,1,2,5,6),cex=.75,bty="n")
dev.off()
