#####################################
### This file generates Figure 17.3
### Histogram Estimation
#####################################
### Uses data file cps09mar.txt
#########################################

dat <- read.table("cps09mar.txt")
wage <- as.matrix(dat[,5]/(dat[,6]*dat[,7]))
asianfemale <- (dat[,11]==4)*(dat[,2]==1)
w <- wage[asianfemale==1]

m <- max(w)
br1 <- seq(0,m+10,10)
b <- bw.SJ(w)
den <- density(w,bw=b)

pdf("hansen17-3.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
hist(w,breaks=br1,xlim=c(0,57.7),ylim=c(0,.04),freq=FALSE,main="",xlab="wage",ylab="",cex.lab=.75,cex.axis=.75)
lines(den$x,den$y,type="l")
dev.off()

postscript("hansen17-3.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
hist(w,breaks=br1,xlim=c(0,57.7),ylim=c(0,.04),freq=FALSE,main="",xlab="wage",ylab="",cex.lab=.75,cex.axis=.75)
lines(den$x,den$y,type="l")
dev.off()
