#####################################
### This file generates Figure 17.4 
### Smoothing Bias
#####################################


w1 <- .75
mu1 <- 4
sig1 <- 1
mu2 <- 7
sig2 <- .75
n <- 200

w2 <- 1-w1
sd <- sqrt(w1*(mu1^2+sig1^2)+w2*(mu2^2+sig2^2)-(w1*mu1+w2*mu2)^2)
h <- .9*sd/(n^.2)

x <- seq(0,10,by=0.01)
f <- dnorm((x-mu1)/sig1)*w1/sig1 + dnorm((x-mu2)/sig2)*w2/sig2
f2 <- dnorm((x-mu1)/sig1)*(((x-mu1)/sig1)^2-1)*w1/(sig1^3) + dnorm((x-mu2)/sig2)*(((x-mu2)/sig2)^2-1)*w2/(sig2^3)

sig1h <- sqrt(sig1^2 + h^2)
sig2h <- sqrt(sig2^2 + h^2)
m <- dnorm((x-mu1)/sig1h)*w1/sig1h + dnorm((x-mu2)/sig2h)*w2/sig2h

b <- f + f2*(h^2)/2
leg1 <- expression(f(x))
leg2 <- expression(paste(E,"[",widehat(f)(x),"]"))
leg3 <- expression(f(x)+h^"2"*f^"(2)"*(x)/2)

pdf("hansen17-4.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(0,10),ylim=c(0,.32),xaxt="n", yaxt="n",bty="n")
lines(x,m,type="l",lty=5,ylab="")
lines(x,b,type="l",lty=2,ylab="")
axis(side=1,seq(0,10,2),cex.axis=.75)
legend("topright",inset=0,legend=c(leg1,leg2,leg3),lty=c(1,5,2),cex=.75,bty="n")
dev.off()

postscript("hansen17-4.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(0,10),ylim=c(0,.32),xaxt="n", yaxt="n",bty="n")
lines(x,m,type="l",lty=5,ylab="")
lines(x,b,type="l",lty=2,ylab="")
axis(side=1,seq(0,10,2),cex.axis=.75)
legend("topright",inset=0,legend=c(leg1,leg2,leg3),lty=c(1,5,2),cex=.75,bty="n")
dev.off()
