#####################################
### This file generates Figure 17.6
### Choice of Kernel
#####################################
### Uses data file cps09mar.txt
#########################################

dat <- read.table("cps09mar.txt")
wage <- as.matrix(dat[,5]/(dat[,6]*dat[,7]))
asianfemale <- (dat[,11]==4)*(dat[,2]==1)
w <- wage[asianfemale==1]

# Bandwidths
b <- bw.SJ(w)
den1 <- density(w,kernel="rectangular",bw=b)		
den2 <- density(w,kernel="gaussian",bw=b)		
den3 <- density(w,kernel="epanechnikov",bw=b)		


pdf("hansen17-6.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(den1$x, den1$y, type="l",lty=1,xlab="",ylab="",xaxt="n", yaxt="n",title=NULL,xaxs="i",yaxs="i",xlim=c(0,60),ylim=c(0,.04),bty="n")
lines(den2,lty=5)
lines(den3,lty=2)
axis(side=1,seq(0,60,10),cex.axis=.75)
legend("topright",c("Rectangular", "Gaussian", "Epanechnikov"),lty=c(1,5,2),cex=.75,bty="n")	
dev.off()

postscript("hansen17-6.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(den1$x, den1$y, type="l",lty=1,xlab="",ylab="",xaxt="n", yaxt="n",title=NULL,xaxs="i",yaxs="i",xlim=c(0,60),ylim=c(0,.04),bty="n")
lines(den2,lty=5)
lines(den3,lty=2)
axis(side=1,seq(0,60,10),cex.axis=.75)
legend("topright",c("Rectangular", "Gaussian", "Epanechnikov"),lty=c(1,5,2),cex=.75,bty="n")	
dev.off()
