#####################################
### This file generates Figures 18.1-18.2
### Uniform Convergence
#####################################


x <- seq(.2,1,.001)
b <- -dbeta(x,2,2)
b1 <- b - dbeta(x,15,2)/4
b2 <- b - dbeta(x,30,2)/6.5
b3 <- b - dbeta(x,70,2)/13.5
t1 <- x[which.min(b1)]
t2 <- x[which.min(b2)]
t3 <- x[which.min(b3)]

leg1 <- expression(S[n[1]](theta))
leg2 <- expression(S[n[2]](theta))
leg3 <- expression(S[n[3]](theta))
legb <- expression(S(theta))
02
pdf("hansen18-1.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,b3,type="l",lty=4,xaxs="i",yaxs="i",xlim=c(.3,1.01),ylim=c(-2.52,0.01),ylab="",xlab="",xaxt="n",yaxt="n",bty="n")
abline(v=1)
abline(h=-2.5)
lines(x,b3,lty=6)
lines(x,b2,lty=5)
lines(x,b1,lty=2)
lines(x,b,lty=1)
legend("bottomleft",legend=c(legb,leg1,leg2,leg3),lty=c(1,2,5,6),y.intersp=1.3,cex=.75,bty="n")
par(xpd=NA)
dev.off()

postscript("hansen18-1.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,b3,type="l",lty=4,xaxs="i",yaxs="i",xlim=c(.3,1.01),ylim=c(-2.52,0.01),ylab="",xlab="",xaxt="n",yaxt="n",bty="n")
abline(v=1)
abline(h=-2.5)
lines(x,b3,lty=6)
lines(x,b2,lty=5)
lines(x,b1,lty=2)
lines(x,b,lty=1)
legend("bottomleft",legend=c(legb,leg1,leg2,leg3),lty=c(1,2,5,6),y.intersp=1.3,cex=.75,bty="n")
par(xpd=NA)
dev.off()


x <- seq(-1,1,by=0.01)
S <- (x^2)
ep <- .15
S1 <- S + ep
S2 <- S - ep
Sn <- S + sin(x*10)*ep*.75

pdf("hansen18-2.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,S,type="l",lty=1,xaxs="i",yaxs="i",xlab="",ylab="",xlim=c(-1,1),ylim=c(-.35,1.3),lwd=2,xaxt="n",yaxt="n",bty="n")
lines(x,S1,lty=2)
lines(x,S2,lty=2)
lines(x,Sn)
leg1 <- expression(S(theta)+epsilon)
leg2 <- expression(S(theta)-epsilon)
leg3 <- expression(S(theta))
leg4 <- expression(S[n](theta))
text(-.6,1,leg1,cex=.8)
text(-.8,0,leg2,cex=.8)
text(.25,.4,leg3,cex=.8)
text(-.2,-.3,leg4,cex=.8)
arrows(-.8,.05,-.7,.32,angle=20,length=.1)
arrows(-.6,.95,-.65,.6,angle=20,length=.1)
arrows(.25,.35,.4,.2,angle=20,length=.1)
arrows(-.2,-.25,-.15,-.1,angle=20,length=.1)
dev.off()

postscript("hansen18-2.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,S,type="l",lty=1,xaxs="i",yaxs="i",xlab="",ylab="",xlim=c(-1,1),ylim=c(-.35,1.3),lwd=2,xaxt="n",yaxt="n",bty="n")
lines(x,S1,lty=2)
lines(x,S2,lty=2)
lines(x,Sn)
leg1 <- expression(S(theta)+epsilon)
leg2 <- expression(S(theta)-epsilon)
leg3 <- expression(S(theta))
leg4 <- expression(S[n](theta))
text(-.6,1,leg1,cex=.8)
text(-.8,0,leg2,cex=.8)
text(.25,.4,leg3,cex=.8)
text(-.2,-.3,leg4,cex=.8)
arrows(-.8,.05,-.7,.32,angle=20,length=.1)
arrows(-.6,.95,-.65,.6,angle=20,length=.1)
arrows(.25,.35,.4,.2,angle=20,length=.1)
arrows(-.2,-.25,-.15,-.1,angle=20,length=.1)
dev.off()
