######################################
### This file generates Figures 18.3-5
### Packing Numbers
######################################
### Uses package spatstat
#########################################

library(spatstat)

pdf("hansen18-3.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-4,4),c(-4,4))
W1 <- ellipse(a=3.9,b=4.3,centre=c(0,0),phi=0,npoly=1024)
plot(W1,add=TRUE)
points(0,0,pch=19,col="black",cex=1.0)
points(3.77,0,pch=19,col="black",cex=1.0)
points(-3.77,0,pch=19,col="black",cex=1.0)
points(2,3.5,pch=19,col="black",cex=1.0)
points(2,-3.5,pch=19,col="black",cex=1.0)
points(-2,3.5,pch=19,col="black",cex=1.0)
points(-2,-3.5,pch=19,col="black",cex=1.0)
lines(c(0.3,3.55),c(0,0))
lines(c(-0.3,-3.55),c(0,0))
lines(c(0.2,1.85),c(0.3,3.25))
lines(c(-0.2,-1.85),c(0.3,3.25))
lines(c(0.2,1.85),c(-0.3,-3.25))
lines(c(-0.2,-1.85),c(-0.3,-3.25))
lines(c(-3.77,-2.15),c(-.3,-3.25))
lines(c(3.77,2.15),c(-.3,-3.25))
lines(c(-3.77,-2.15),c(.3,3.25))
lines(c(3.77,2.15),c(.3,3.25))
lines(c(-1.7,1.7),c(-3.5,-3.5))
lines(c(-1.7,1.7),c(3.5,3.5))
text(-2,-0.3,expression(epsilon),cex=.8)
text(-2,2.8,expression(theta[1]),cex=.8)
text(2,2.8,expression(theta[2]),cex=.8)
text(-3.3,.5,expression(theta[3]),cex=.8)
text(0,0.7,expression(theta[4]),cex=.8)
text(3.3,.5,expression(theta[5]),cex=.8)
text(-2,-2.8,expression(theta[6]),cex=.8)
text(2,-2.8,expression(theta[7]),cex=.8)
dev.off()

postscript("hansen18-3.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-4,4),c(-4,4))
W1 <- ellipse(a=3.9,b=4.3,centre=c(0,0),phi=0,npoly=1024)
plot(W1,add=TRUE)
points(0,0,pch=19,col="black",cex=1.0)
points(3.77,0,pch=19,col="black",cex=1.0)
points(-3.77,0,pch=19,col="black",cex=1.0)
points(2,3.5,pch=19,col="black",cex=1.0)
points(2,-3.5,pch=19,col="black",cex=1.0)
points(-2,3.5,pch=19,col="black",cex=1.0)
points(-2,-3.5,pch=19,col="black",cex=1.0)
lines(c(0.3,3.55),c(0,0))
lines(c(-0.3,-3.55),c(0,0))
lines(c(0.2,1.85),c(0.3,3.25))
lines(c(-0.2,-1.85),c(0.3,3.25))
lines(c(0.2,1.85),c(-0.3,-3.25))
lines(c(-0.2,-1.85),c(-0.3,-3.25))
lines(c(-3.77,-2.15),c(-.3,-3.25))
lines(c(3.77,2.15),c(-.3,-3.25))
lines(c(-3.77,-2.15),c(.3,3.25))
lines(c(3.77,2.15),c(.3,3.25))
lines(c(-1.7,1.7),c(-3.5,-3.5))
lines(c(-1.7,1.7),c(3.5,3.5))
text(-2,-0.3,expression(epsilon),cex=.8)
text(-2,2.8,expression(theta[1]),cex=.8)
text(2,2.8,expression(theta[2]),cex=.8)
text(-3.3,.5,expression(theta[3]),cex=.8)
text(0,0.7,expression(theta[4]),cex=.8)
text(3.3,.5,expression(theta[5]),cex=.8)
text(-2,-2.8,expression(theta[6]),cex=.8)
text(2,-2.8,expression(theta[7]),cex=.8)
dev.off()


pdf("hansen18-4.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-.05,1.05),c(-.05,1.05))
lines(c(0,0),c(0,1))
lines(c(0,1),c(0,0))
lines(c(0,1),c(1,1))
lines(c(1,1),c(0,1))
points(.17,.17,pch=19,col="black")
points(.50,.17,pch=19,col="black")
points(.83,.17,pch=19,col="black")
points(.17,.50,pch=19,col="black")
points(.50,.50,pch=19,col="black")
points(.83,.50,pch=19,col="black")
points(.17,.83,pch=19,col="black")
points(.50,.83,pch=19,col="black")
points(.83,.83,pch=19,col="black")
ep <- sqrt(2)/6
W1 <- ellipse(a=ep,b=ep,centre=c(.17,.17),phi=0,npoly=1024)
W2 <- ellipse(a=ep,b=ep,centre=c(.50,.17),phi=0,npoly=1024)
W3 <- ellipse(a=ep,b=ep,centre=c(.83,.17),phi=0,npoly=1024)
W4 <- ellipse(a=ep,b=ep,centre=c(.17,.50),phi=0,npoly=1024)
W5 <- ellipse(a=ep,b=ep,centre=c(.50,.50),phi=0,npoly=1024)
W6 <- ellipse(a=ep,b=ep,centre=c(.83,.50),phi=0,npoly=1024)
W7 <- ellipse(a=ep,b=ep,centre=c(.17,.83),phi=0,npoly=1024)
W8 <- ellipse(a=ep,b=ep,centre=c(.50,.83),phi=0,npoly=1024)
W9 <- ellipse(a=ep,b=ep,centre=c(.83,.83),phi=0,npoly=1024)
plot(W1,add=TRUE)
plot(W2,add=TRUE)
plot(W3,add=TRUE)
plot(W4,add=TRUE)
plot(W5,add=TRUE)
plot(W6,add=TRUE)
plot(W7,add=TRUE)
plot(W8,add=TRUE)
plot(W9,add=TRUE)
lines(c(.83,1),c(.17,0))
text(.94,0.12,expression(epsilon),cex=.8)
dev.off()

postscript("hansen18-4.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-.05,1.05),c(-.05,1.05))
lines(c(0,0),c(0,1))
lines(c(0,1),c(0,0))
lines(c(0,1),c(1,1))
lines(c(1,1),c(0,1))
points(.17,.17,pch=19,col="black")
points(.50,.17,pch=19,col="black")
points(.83,.17,pch=19,col="black")
points(.17,.50,pch=19,col="black")
points(.50,.50,pch=19,col="black")
points(.83,.50,pch=19,col="black")
points(.17,.83,pch=19,col="black")
points(.50,.83,pch=19,col="black")
points(.83,.83,pch=19,col="black")
ep <- sqrt(2)/6
W1 <- ellipse(a=ep,b=ep,centre=c(.17,.17),phi=0,npoly=1024)
W2 <- ellipse(a=ep,b=ep,centre=c(.50,.17),phi=0,npoly=1024)
W3 <- ellipse(a=ep,b=ep,centre=c(.83,.17),phi=0,npoly=1024)
W4 <- ellipse(a=ep,b=ep,centre=c(.17,.50),phi=0,npoly=1024)
W5 <- ellipse(a=ep,b=ep,centre=c(.50,.50),phi=0,npoly=1024)
W6 <- ellipse(a=ep,b=ep,centre=c(.83,.50),phi=0,npoly=1024)
W7 <- ellipse(a=ep,b=ep,centre=c(.17,.83),phi=0,npoly=1024)
W8 <- ellipse(a=ep,b=ep,centre=c(.50,.83),phi=0,npoly=1024)
W9 <- ellipse(a=ep,b=ep,centre=c(.83,.83),phi=0,npoly=1024)
plot(W1,add=TRUE)
plot(W2,add=TRUE)
plot(W3,add=TRUE)
plot(W4,add=TRUE)
plot(W5,add=TRUE)
plot(W6,add=TRUE)
plot(W7,add=TRUE)
plot(W8,add=TRUE)
plot(W9,add=TRUE)
lines(c(.83,1),c(.17,0))
text(.94,0.12,expression(epsilon),cex=.8)
dev.off()


x <- seq(0,1,.001)
x1 <- x ^ (1/28)
x2 <- x ^ (1/4.65)
x3 <- x ^ (1/2)
x4 <- x
x5 <- x ^ 2
x6 <- x ^ (9/2)
x7 <- x ^ 14.5

pdf("hansen18-5.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,x1,type="l",lty=1,xaxs="i",yaxs="i",ylim=c(0,1.01),xlim=c(0,1.01),ylab=expression(g(x,theta)),xlab="x",bty="n",cex.lab=.8,cex.axis=.75)
lines(x,x2)
lines(x,x3)
lines(x,x4)
lines(x,x5)
lines(x,x6)
lines(x,x7)
abline(v=1)
abline(h=1)
dev.off()

postscript("hansen18-5.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,x1,type="l",lty=1,xaxs="i",yaxs="i",ylim=c(0,1.01),xlim=c(0,1.01),ylab=expression(g(x,theta)),xlab="x",bty="n",cex.lab=.8,cex.axis=.75)
lines(x,x2)
lines(x,x3)
lines(x,x4)
lines(x,x5)
lines(x,x6)
lines(x,x7)
abline(v=1)
abline(h=1)
dev.off()
