#####################################
### This file generates Figures 18.6 and 18.7
### EDF and empirical processes
#####################################


set.seed(429)
n <- 100
sn <- sqrt(n)
N <- 10000
x <- (0:N)/N
e <- runif(n)
edf <- x
v <- x
for (i in 1:(N+1)) {
  xi <- x[i]
  edf[i] <- (mean(e <= xi))
  v[i] <- (mean(e <= xi) - xi)*sn
}

pdf("hansen18-6a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(0.037,1.0),c(0.037,1))
lines(x,edf)
axis(side=1,seq(0,1,.1))
axis(side=2,seq(0,1,.1))
dev.off()

postscript("hansen18-6a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(0.037,1.0),c(0.037,1))
lines(x,edf)
axis(side=1,seq(0,1,.1))
axis(side=2,seq(0,1,.1))
dev.off()

pdf("hansen18-6b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(0.037,1.0),c(-.8,.4))
abline(h=0)
lines(x,v)
axis(side=1,seq(0,1,.1))
axis(side=2,seq(-.8,.4,.4))
dev.off()

postscript("hansen18-6b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(0.037,1.0),c(-.8,.4))
abline(h=0)
lines(x,v)
axis(side=1,seq(0,1,.1))
axis(side=2,seq(-1.2,.4,.4))
dev.off()

n <- 100
sn <- sqrt(n)
N <- 10000
a <- (0:N)/N
x <- a*8 - 4
e <- rnorm(n)
edf <- x
v <- x
for (i in 1:(N+1)) {
  xi <- x[i]
  edf[i] <- (mean(e <= xi))
  v[i] <- (mean(e <= xi) - pnorm(xi))*sn
}

pdf("hansen18-7a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-3.7,4),c(0.037,1))
lines(x,edf)
axis(side=1,seq(-4,4,1))
axis(side=2,seq(0,1,.1))
dev.off()

postscript("hansen18-7a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-3.7,4),c(0.037,1))
lines(x,edf)
axis(side=1,seq(-4,4,1))
axis(side=2,seq(0,1,.1))
dev.off()

pdf("hansen18-7b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-3.7,4),c(-.5,.3))
abline(h=0)
lines(x,v)
axis(side=1,seq(-4,4,1))
axis(side=2,seq(-1.1,1,.2))
dev.off()

postscript("hansen18-7b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-3.7,4),c(-.5,.3))
abline(h=0)
lines(x,v)
axis(side=1,seq(-4,4,1))
axis(side=2,seq(-1.1,1,.2))
dev.off()
