######################################
### This file generates Figure 1.1
### Sample Space
######################################
### Uses package spatstat
#########################################

library(spatstat)

wd <- 1.4

pdf("hansen1-1a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-5,5),c(-5,5))
W1 <- ellipse(a=4.8,b=5.35,centre=c(0,0),phi=0,npoly=1024)
plot(W1,add=TRUE,lwd=wd)
text(-2,1,expression(H))
text(2,-1,expression(T))
text(3.9,3.9,expression(italic(S)))
dev.off()

postscript("hansen1-1a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-5,5),c(-5,5))
W1 <- ellipse(a=4.8,b=5.35,centre=c(0,0),phi=0,npoly=1024)
plot(W1,add=TRUE,lwd=wd)
text(-2,1,expression(H))
text(2,-1,expression(T))
text(3.9,3.9,expression(italic(S)))
dev.off()


pdf("hansen1-1b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-5,5),c(-5,5))
W2 <- ellipse(a=4.8,b=5.35,centre=c(0,0),phi=0,npoly=1024)
plot(W2,add=TRUE,lwd=wd)
W3 <- ellipse(a=1.5,b=2.5,centre=c(-1.5,-.55),phi=pi/10,npoly=1024)
plot(W3,add=TRUE,lwd=wd)
text(-2,1,expression(HT),cex=.75)
text(2,-1,expression(TT),cex=.75)
text(0,3,expression(TH),cex=.75)
text(-1,-2,expression(HH),cex=.75)
text(3.9,3.9,expression(italic(S)))
dev.off()

postscript("hansen1-1b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-5,5),c(-5,5))
W2 <- ellipse(a=4.8,b=5.35,centre=c(0,0),phi=0,npoly=1024)
plot(W2,add=TRUE,lwd=wd)
W3 <- ellipse(a=1.5,b=2.5,centre=c(-1.5,-.55),phi=pi/10,npoly=1024)
plot(W3,add=TRUE,lwd=wd)
text(-2,1,expression(HT),cex=.75)
text(2,-1,expression(TT),cex=.75)
text(0,3,expression(TH),cex=.75)
text(-1,-2,expression(HH),cex=.75)
text(3.9,3.9,expression(italic(S)))
dev.off()
