######################################
### This file generates Figure 2.1
### Random Variables
######################################
### Uses packages spatstat, diagram
#########################################

library(spatstat)
library(diagram)

pdf("hansen2-1.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-5,4),c(-3,3))
W1 <- ellipse(a=2,b=1.5,centre=c(-3,0),phi=0,npoly=1024)
plot(W1,add=TRUE)
arrows(3,0,4,0,angle=20,length=.1)
arrows(3,0,0,0,angle=20,length=.1)
points(1,0,pch=19,col="black",cex=.75)
points(3,0,pch=19,col="black",cex=.75)
text(3,-.5,"1",cex=.75)
text(1,-.5,"0",cex=.75)
text(-4,0,"H",cex=.75)
text(-2,0,"T",cex=.75)
curvedarrow((c(-2,0.4)),(c(1,.3)),lty=1,arr.pos=1,curve=-.3,arr.type="simple",angle=50,lwd=1)
curvedarrow((c(-4,.4)),(c(3,.3)),lty=1,arr.pos=1,curve=-.3,arr.type="simple",angle=40,lwd=1)
text(-4.7,1.2,expression(italic(S)),cex=.8)
text(3.8,.3,expression(italic(R)),cex=.8)
dev.off()

postscript("hansen2-1.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-5,4),c(-3,3))
W1 <- ellipse(a=2,b=1.5,centre=c(-3,0),phi=0,npoly=1024)
plot(W1,add=TRUE)
arrows(3,0,4,0,angle=20,length=.1)
arrows(3,0,0,0,angle=20,length=.1)
points(1,0,pch=19,col="black",cex=.75)
points(3,0,pch=19,col="black",cex=.75)
text(3,-.5,"1",cex=.75)
text(1,-.5,"0",cex=.75)
text(-4,0,"H",cex=.75)
text(-2,0,"T",cex=.75)
curvedarrow((c(-2,0.4)),(c(1,.3)),lty=1,arr.pos=1,curve=-.3,arr.type="simple",angle=50,lwd=1)
curvedarrow((c(-4,.4)),(c(3,.3)),lty=1,arr.pos=1,curve=-.3,arr.type="simple",angle=40,lwd=1)
text(-4.7,1.2,expression(italic(S)),cex=.8)
text(3.8,.3,expression(italic(R)),cex=.8)
dev.off()