#####################################
### This file generates Figure 2.10
### Truncated Density
#####################################


x <- seq(0,10,.01)
g1 <- dchisq(x,4)
g2 <- g1*(x >= 2)/(1-pchisq(2,4))

pdf("hansen2-10.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,g2,type="l",lty=1,xaxs="i",yaxs="i",ylim=c(0,.26),xlim=c(0,10),ylab="",xlab="",xaxt="n",yaxt="n",bty="n")
lines(x,g1)
text(4.7,.18,"f*(x)",cex=.75)
text(3.8,.12,"f(x)",cex=.75)
axis(side=1,seq(0,10,1),cex.axis=.75)
dev.off()

postscript("hansen2-10.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,g2,type="l",lty=1,xaxs="i",yaxs="i",ylim=c(0,.26),xlim=c(0,10),ylab="",xlab="",xaxt="n",yaxt="n",bty="n")
lines(x,g1)
text(4.7,.18,"f*(x)",cex=.75)
text(3.8,.12,"f(x)",cex=.75)
axis(side=1,seq(0,10,1),cex.axis=.75)
dev.off()
