#####################################
### This file generates Figure 2.2 
### Probability Mass Functions
#####################################
### Uses data file cps09mar.txt
#########################################


#####################################
### Poisson Distribution
#####################################

p <- 1
n <- 5
k <- seq(0,n)
pn <- matrix(1,n+1,1)*p
y <- (pn^k)*exp(-pn)/factorial(k)

x <- seq(-.9,5.5,.001)
w <- .2
y0 <- (abs(x) < w)*y[1]
y1 <- (abs(x-1) < w)*y[2]
y2 <- (abs(x-2) < w)*y[3]
y3 <- (abs(x-3) < w)*y[4]
y4 <- (abs(x-4) < w)*y[5]
y5 <- (abs(x-5) < w)*y[6]

wd <- 1.4

pdf("hansen2-2a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,y0,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(0,.4),xaxt="n",bty="n",lwd=wd)
lines(x,y1,lwd=wd)
lines(x,y2,lwd=wd)
lines(x,y3,lwd=wd)
lines(x,y4,lwd=wd)
lines(x,y5,lwd=wd)
axis(side=1,seq(-1,6,1),lwd=wd)
axis(side=2,lwd=wd)
dev.off()

postscript("hansen2-2a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,y0,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(0,.4),xaxt="n",bty="n",lwd=wd)
lines(x,y1,lwd=wd)
lines(x,y2,lwd=wd)
lines(x,y3,lwd=wd)
lines(x,y4,lwd=wd)
lines(x,y5,lwd=wd)
axis(side=1,seq(-1,6,1),lwd=wd)
axis(side=2,lwd=wd)
dev.off()


#####################################
### Education
#####################################

dat <- read.table("cps09mar.txt")
education <- dat[,4]
y <- c(8,9,10,11,12,13,14,16,18,20)
n <- length(y)
p <- matrix(0,n,1)
p[1] <- mean(education <= y[1])
for (i in 2:n){
p[i] <- mean(education == y[i])
}

x <- seq(7,21,.001)
w <- .2
yy <- matrix(0,length(x),n)
for (i in 1:n){
yy[,i] <- (abs(x-y[i]) < w)*p[i]
}

pdf("hansen2-2b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,yy[,1],type="l",lty=1,xaxs="i",yaxs="i",ylab="",yaxt="n",xlab="",xaxt="n",bty="n",ylim=c(0,.3),lwd=wd)
for (i in 1:n){
lines(x,yy[,i],lwd=wd)
}
axis(side=1,seq(6,22,2),lwd=wd)
axis(side=2,seq(0,.3,.1),lwd=wd)
dev.off()

postscript("hansen2-2b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,yy[,1],type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",yaxt="n",xaxt="n",bty="n",ylim=c(0,.3),lwd=wd)
for (i in 1:n){
lines(x,yy[,i],lwd=wd)
}
axis(side=1,seq(6,22,2),lwd=wd)
axis(side=2,seq(0,.3,.1),lwd=wd)
dev.off()
