#####################################
### This file generates Figure 2.3 
### St Petersburg
#####################################

s <- c(2,4,8,16,32,64)
p <- 1/s

x <- seq(-2,max(s)+1,.001)
w <- .5
y1 <- (abs(x-s[1]) < w)*p[1]
y2 <- (abs(x-s[2]) < w)*p[2]
y3 <- (abs(x-s[3]) < w)*p[3]
y4 <- (abs(x-s[4]) < w)*p[4]
y5 <- (abs(x-s[5]) < w)*p[5]
y6 <- (abs(x-s[6]) < w)*p[6]

pdf("hansen2-3.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,y1,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(-.001,.52),yaxt="n",xaxt="n",bty="n")
lines(x,y2,lty=1)
lines(x,y3,lty=1)
lines(x,y4,lty=1)
lines(x,y5,lty=1)
lines(x,y6,lty=1)
axis(side=2,seq(0,.5,.1),cex.axis=.75)
axis(side=1,s,cex.axis=.75)
abline(h=0)
dev.off()

postscript("hansen2-3.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,y1,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(-.001,.52),yaxt="n",xaxt="n",bty="n")
lines(x,y2,lty=1)
lines(x,y3,lty=1)
lines(x,y4,lty=1)
lines(x,y5,lty=1)
lines(x,y6,lty=1)
axis(side=2,seq(0,.5,.1),cex.axis=.75)
axis(side=1,s,cex.axis=.75)
abline(h=0)
dev.off()