#####################################
### This file generates Figure 2.4
### Discrete Distribution Functions
#####################################
### Uses data file cps09mar.txt
#########################################

#####################################
### Poisson Distribution
#####################################

n <- 5
k <- seq(0,n)
y <- exp(-1)/factorial(k)
p <- cumsum(y)

wd <- 1.4

pdf("hansen2-4a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-.75,5.5),c(0.0,1))
axis(side=1,seq(-1,6,1),lwd=wd)
axis(side=2,seq(-2,1,.2),lwd=wd)
points(0,0,pch=1,col="black")
points(0,p[1],pch=19,col="black")
for (i in 1:5) {
points(i,p[i],pch=1,col="black")
points(i,p[i+1],pch=19,col="black")
lines(c(i-1,i-.05),c(p[i],p[i]),lwd=wd)
}
lines(c(-2,-.05),c(0,0),lwd=wd)
lines(c(5,7),c(p[6],p[6]),lwd=wd)
dev.off()

postscript("hansen2-4a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-.75,5.5),c(0.0,1))
axis(side=1,seq(-1,6,1),lwd=wd)
axis(side=2,seq(-2,1,.2),lwd=wd)
points(0,0,pch=1,col="black")
points(0,p[1],pch=19,col="black")
for (i in 1:5) {
points(i,p[i],pch=1,col="black")
points(i,p[i+1],pch=19,col="black")
lines(c(i-1,i-.05),c(p[i],p[i]),lwd=wd)
}
lines(c(-2,-.05),c(0,0),lwd=wd)
lines(c(5,7),c(p[6],p[6]),lwd=wd)
dev.off()

#####################################
### Education Distribution
#####################################

dat <- read.table("cps09mar.txt")
education <- dat[,4]
y <- c(8,9,10,11,12,13,14,16,18,20)
n <- length(y)
p <- matrix(0,n,1)
p[1] <- mean(education <= y[1])
for (i in 2:n){
p[i] <- mean(education == y[i])
}
p <- cumsum(p)

pdf("hansen2-4b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(7,21),c(0.0,1))
axis(side=1,seq(4,22,2),lwd=wd)
axis(side=2,seq(-1,1,.2),lwd=wd)
points(y[1],0,pch=1,col="black")
points(y[1],p[1],pch=19,col="black")
lines(c(0,y[1]),c(0,0),lwd=wd)
lines(c(20,25),c(1,1),lwd=wd)
for (i in 2:n){
points(y[i],p[i-1],pch=1,col="black")
points(y[i],p[i],pch=19,col="black")
lines(c(y[i-1],y[i]),c(p[i-1],p[i-1]),lwd=wd)
}
dev.off()

postscript("hansen2-4b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(7,21),c(0.0,1))
axis(side=1,seq(4,22,2),lwd=wd)
axis(side=2,seq(-1,1,.2),lwd=wd)
points(y[1],0,pch=1,col="black")
points(y[1],p[1],pch=19,col="black")
lines(c(0,y[1]),c(0,0),lwd=wd)
lines(c(20,25),c(1,1),lwd=wd)
for (i in 2:n){
points(y[i],p[i-1],pch=1,col="black")
points(y[i],p[i],pch=19,col="black")
lines(c(y[i-1],y[i]),c(p[i-1],p[i-1]),lwd=wd)
}
dev.off()
