#####################################
### This file generates Figure 2.5
### Continuous Distribution Function
#####################################
### Uses data file cps09mar.txt
#########################################

dat <- read.table("cps09mar.txt")
hrwage <- as.matrix(dat[,5]/(dat[,6]*dat[,7]))

x <- seq(0,60,2)
n <- length(x)
F <- matrix(1,n,1)
for (i in 1:n)   F[i] <- mean(hrwage <= x[i])

y <- c(10,20,30,40,50)
Fy <- matrix(1,length(y),1)
for (i in 1:length(y)) Fy[i] <- mean(hrwage <= y[i])

pdf("hansen2-5.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,F, type="l",lty=1,xlab="",ylab="",xaxt="n", yaxt="n", xlim=c(0,60),ylim=c(0,1),title=NULL,xaxs="i",yaxs="i",bty="n")
axis(side=1,seq(0,60,10),cex.axis=.75)
axis(side=2,seq(0,1,0.2),cex.axis=.75)
for (i in 1:5) {
  arrows(y[i],Fy[i],0,Fy[i],angle=20,length=.1,lty=1,lwd=0.75)
  lines(c(y[i],y[i]),c(0,Fy[i]),lwd=0.75)
}
text(57,.9,"F(x)",cex=.75)
dev.off()

postscript("hansen2-5.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,F, type="l",lty=1,xlab="",ylab="",xaxt="n", yaxt="n", xlim=c(0,60),ylim=c(0,1),title=NULL,xaxs="i",yaxs="i",bty="n")
axis(side=1,seq(0,60,10),cex.axis=.75)
axis(side=2,seq(0,1,0.2),cex.axis=.75)
for (i in 1:5) {
  arrows(y[i],Fy[i],0,Fy[i],angle=20,length=.1,lty=1,lwd=0.75)
  lines(c(y[i],y[i]),c(0,Fy[i]),lwd=0.75)
}
text(57,.9,"F(x)",cex=.75)
dev.off()


