#####################################
### This file generates Figure 2.6
### Quantile
#####################################
### Uses data file cps09mar.txt
#########################################

dat <- read.table("cps09mar.txt")
hrwage <- as.matrix(dat[,5]/(dat[,6]*dat[,7]))

x <- seq(0,60,2)
n <- length(x)
F <- matrix(1,n,1)
for (i in 1:n){
  F[i] <- mean(hrwage <= x[i])
}

p <- c(.25,.5,.75)
q <- quantile(hrwage,p)
q[2] = q[2]-.35
q[3] = q[3]-.5

pdf("hansen2-6.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,F, type="l",lty=1,xlab="",ylab="",xaxt="n", yaxt="n", xlim=c(0,60),ylim=c(0,1),title=NULL,xaxs="i",yaxs="i",bty="n")
axis(side=1,seq(0,60,10),cex.axis=.75)
axis(side=2,seq(0,1,0.25),cex.axis=.75)
arrows(q[1],p[1],q[1],0,angle=20,length=.1,lty=1,lwd=0.75)
arrows(q[2],p[2],q[2],0,angle=20,length=.1,lty=1,lwd=0.75)
arrows(q[3],p[3],q[3],0,angle=20,length=.1,lty=1,lwd=0.75)
lines(c(0,q[1]),c(p[1],p[1]),lwd=0.75)
lines(c(0,q[2]),c(p[2],p[2]),lwd=0.75)
lines(c(0,q[3]),c(p[3],p[3]),lwd=0.75)
text(57,.9,"F(x)",cex=.75)
dev.off()

postscript("hansen2-6.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,F, type="l",lty=1,xlab="",ylab="",xaxt="n", yaxt="n", xlim=c(0,60),ylim=c(0,1),title=NULL,xaxs="i",yaxs="i",bty="n")
axis(side=1,seq(0,60,10),cex.axis=.75)
axis(side=2,seq(0,1,0.25),cex.axis=.75)
arrows(q[1],p[1],q[1],0,angle=20,length=.1,lty=1,lwd=0.75)
arrows(q[2],p[2],q[2],0,angle=20,length=.1,lty=1,lwd=0.75)
arrows(q[3],p[3],q[3],0,angle=20,length=.1,lty=1,lwd=0.75)
lines(c(0,q[1]),c(p[1],p[1]),lwd=0.75)
lines(c(0,q[2]),c(p[2],p[2]),lwd=0.75)
lines(c(0,q[3]),c(p[3],p[3]),lwd=0.75)
text(57,.9,"F(x)",cex=.75)
dev.off()

