#####################################
### This file generates Figure 2.7
### Density Plot
#####################################
### Uses data file cps09mar.txt
#########################################

dat <- read.table("cps09mar.txt")
hrwage <- as.matrix(dat[,5]/(dat[,6]*dat[,7]))

den <- density(hrwage,from=0,to=100,adjust=2)		
i20 <- 103
i30 <- 154
d20 <- den$y[i20]
d30 <- den$y[i30]
dd <- den$y[i20:i30]
dx <- den$x[i20:i30]

pdf("hansen2-7.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(den,type="l",lty=1,xaxs="i",yaxs="i",ylim=c(0,.041),xlim=c(-0.1,70),ylab="",xlab="",bty="n",main="",yaxt="n",cex.axis=.75)
polygon(c(20,20,dx,30,30),c(0.0001,d20,dd,d30,0.0001),col=gray(.8),border=NA)
lines(den$x,den$y)
abline(h=0)
lines(c(20,20),c(0,d20))
lines(c(30,30),c(0,d30))
text(44,(d20+d30)/2,"P[20<X<30]=0.24",cex=.75)
arrows(32.5,(d20+d30)/2,23.5,(d20+d30)/2-.005,angle=20,length=.1)
lines(c(0,0),c(0,den$y[1]))
text(7,.035,"f(x)",cex=.75)
dev.off()

postscript("hansen2-7.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(den,type="l",lty=1,xaxs="i",yaxs="i",ylim=c(0,.041),xlim=c(-0.1,70),ylab="",xlab="",bty="n",main="",yaxt="n",cex.axis=.75)
polygon(c(20,20,dx,30,30),c(0.0001,d20,dd,d30,0.0001),col=gray(.8),border=NA)
lines(den$x,den$y)
abline(h=0)
lines(c(20,20),c(0,d20))
lines(c(30,30),c(0,d30))
text(44,(d20+d30)/2,"P[20<X<30]=0.24",cex=.75)
arrows(32.5,(d20+d30)/2,23.5,(d20+d30)/2-.005,angle=20,length=.1)
lines(c(0,0),c(0,den$y[1]))
text(7,.035,"f(x)",cex=.75)
dev.off()
