#####################################
### This file generates Figure 2.8
### Log Density Plot
#####################################
### Uses data file cps09mar.txt
#########################################

dat <- read.table("cps09mar.txt")
hrwage <- as.matrix(dat[,5]/(dat[,6]*dat[,7]))
lnwage <- log(hrwage)
den <- density(lnwage,from=0,to=6,adjust=2)		

pdf("hansen2-8.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(den,type="l",lty=1,xaxs="i",yaxs="i",ylim=c(0,.68),xlim=c(0,6),ylab="",xlab="",bty="n",main="",yaxt="n",cex.axis=.75)
abline(h=0)
text(4,.4,"f(x)",cex=.75)
dev.off()

postscript("hansen2-8.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(den,type="l",lty=1,xaxs="i",yaxs="i",ylim=c(0,.68),xlim=c(0,6),ylab="",xlab="",bty="n",main="",yaxt="n",cex.axis=.75)
abline(h=0)
text(4,.4,"f(x)",cex=.75)
dev.off()