#####################################
### This file generates Figure 2.9
### Convex and Concave Functions
#####################################


x <- seq(1,20,by=0.01)
f <- log(x)
a <- 2
b <- 15
c <- (a+b)/2
fa <- log(a)
fb <- log(b)
fc <- log(c)
ff <- (fa+fb)/2

pdf("hansen2-9.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xaxt="n",bty="n",yaxt="n",ylim=c(0,3.1),cex.axis=.75)
lines(c(a,b),c(fa,fb),lty=1)
points(a,fa,pch=19,col="black",cex=.75)
points(b,fb,pch=19,col="black",cex=.75)
points(c,fc,pch=19,col="black",cex=.75)
points(c,ff,pch=19,col="black",cex=.75)
text(2.5,.5,"a",cex=.75)
text(15.2,2.5,"b",cex=.75)
text(8.55,1.5,"c",cex=.75)
text(8.5,2.4,"d",cex=.75)
text(18,3,expression(f(x)),cex=.75)
dev.off()

postscript("hansen2-9.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xaxt="n",bty="n",yaxt="n",ylim=c(0,3.1),cex.axis=.75)
lines(c(a,b),c(fa,fb),lty=1)
points(a,fa,pch=19,col="black",cex=.75)
points(b,fb,pch=19,col="black",cex=.75)
points(c,fc,pch=19,col="black",cex=.75)
points(c,ff,pch=19,col="black",cex=.75)
text(2.5,.5,"a",cex=.75)
text(15.2,2.5,"b",cex=.75)
text(8.55,1.5,"c",cex=.75)
text(8.5,2.4,"d",cex=.75)
text(18,3,expression(f(x)),cex=.75)
dev.off()
