#####################################
### This file generates Figure 3.1 
### Binomial, Poisson
#####################################


#####################################
### Binomial Distribution
#####################################

p <- .3
n <- 10
k <- seq(0,n)
pn <- matrix(1,n+1,1)*p
y <- choose(n,k)*(pn^k)*((1-pn)^(n-k))

x <- seq(-1,11,.001)
w <- .2
y0 <- (abs(x) < w)*y[1]
y1 <- (abs(x-1) < w)*y[2]
y2 <- (abs(x-2) < w)*y[3]
y3 <- (abs(x-3) < w)*y[4]
y4 <- (abs(x-4) < w)*y[5]
y5 <- (abs(x-5) < w)*y[6]
y6 <- (abs(x-6) < w)*y[7]
y7 <- (abs(x-7) < w)*y[8]
y8 <- (abs(x-8) < w)*y[9]
y9 <- (abs(x-9) < w)*y[10]
y10 <- (abs(x-10) < w)*y[11]

wd <- 1.4

pdf("hansen3-1a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,y0,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(-.5,10.5),ylim=c(0,.3),yaxt="n",xaxt="n",bty="n",yaxt="n",lwd=wd)
lines(x,y1,type="l",lwd=wd)
lines(x,y2,type="l",lwd=wd)
lines(x,y3,type="l",lwd=wd)
lines(x,y4,type="l",lwd=wd)
lines(x,y5,type="l",lwd=wd)
lines(x,y6,type="l",lwd=wd)
lines(x,y7,type="l",lwd=wd)
lines(x,y8,type="l",lwd=wd)
lines(x,y9,type="l",lwd=wd)
lines(x,y10,type="l",lwd=wd)
axis(side=1,seq(-1,11,1),lwd=wd)
axis(side=2,seq(0,.3,.1),lwd=wd)
dev.off()

postscript("hansen3-1a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,y0,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(-.5,10.5),ylim=c(0,.3),yaxt="n",xaxt="n",bty="n",yaxt="n",lwd=wd)
lines(x,y1,type="l",lwd=wd)
lines(x,y2,type="l",lwd=wd)
lines(x,y3,type="l",lwd=wd)
lines(x,y4,type="l",lwd=wd)
lines(x,y5,type="l",lwd=wd)
lines(x,y6,type="l",lwd=wd)
lines(x,y7,type="l",lwd=wd)
lines(x,y8,type="l",lwd=wd)
lines(x,y9,type="l",lwd=wd)
lines(x,y10,type="l",lwd=wd)
axis(side=1,seq(-1,11,1),lwd=wd)
axis(side=2,seq(0,.3,.1),lwd=wd)
dev.off()

#####################################
### Poisson Distribution
#####################################

p <- 3
n <- 10
k <- seq(0,n)
pn <- matrix(1,n+1,1)*p
y <- (pn^k)*exp(-pn)/factorial(k)

x <- seq(-1,11,.001)
w <- .2
y0 <- (abs(x) < w)*y[1]
y1 <- (abs(x-1) < w)*y[2]
y2 <- (abs(x-2) < w)*y[3]
y3 <- (abs(x-3) < w)*y[4]
y4 <- (abs(x-4) < w)*y[5]
y5 <- (abs(x-5) < w)*y[6]
y6 <- (abs(x-6) < w)*y[7]
y7 <- (abs(x-7) < w)*y[8]
y8 <- (abs(x-8) < w)*y[9]
y9 <- (abs(x-9) < w)*y[10]
y10 <- (abs(x-10) < w)*y[11]

pdf("hansen3-1b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,y0,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(-.5,10.5),ylim=c(0,.3),yaxt="n",xaxt="n",bty="n",yaxt="n",lwd=wd)
lines(x,y1,type="l",lwd=wd)
lines(x,y2,type="l",lwd=wd)
lines(x,y3,type="l",lwd=wd)
lines(x,y4,type="l",lwd=wd)
lines(x,y5,type="l",lwd=wd)
lines(x,y6,type="l",lwd=wd)
lines(x,y7,type="l",lwd=wd)
lines(x,y8,type="l",lwd=wd)
lines(x,y9,type="l",lwd=wd)
lines(x,y10,type="l",lwd=wd)
axis(side=1,seq(-1,11,1),lwd=wd)
axis(side=2,seq(0,.3,.1),lwd=wd)
dev.off()

postscript("hansen3-1b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,y0,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(-.5,10.5),ylim=c(0,.3),yaxt="n",xaxt="n",bty="n",yaxt="n",lwd=wd)
lines(x,y1,type="l",lwd=wd)
lines(x,y2,type="l",lwd=wd)
lines(x,y3,type="l",lwd=wd)
lines(x,y4,type="l",lwd=wd)
lines(x,y5,type="l",lwd=wd)
lines(x,y6,type="l",lwd=wd)
lines(x,y7,type="l",lwd=wd)
lines(x,y8,type="l",lwd=wd)
lines(x,y9,type="l",lwd=wd)
lines(x,y10,type="l",lwd=wd)
axis(side=1,seq(-1,11,1),lwd=wd)
axis(side=2,seq(0,.3,.1),lwd=wd)
dev.off()

