#####################################
### This file generates Figure 3_2 
### Uniform, Exponential, Double Exponential
#####################################


#####################################
### Exponential
#####################################

m <- 5
x <- seq(0,m,by=0.01)
f <- exp(-x)

wd <- 1.4

pdf("hansen3-2a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",xlim=c(-.1,m),ylim=c(0,1),ylab="",xlab="",bty="n",yaxt="n",lwd=wd)
abline(v=0,lwd=wd)
axis(side=1,lwd=wd)
dev.off()

postscript("hansen3-2a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",xlim=c(-.1,m),ylim=c(0,1),ylab="",xlab="",bty="n",yaxt="n",lwd=wd)
abline(v=0,lwd=wd)
axis(side=1,lwd=wd)
dev.off()

#####################################
### Double Exponential
#####################################

m <- 10
x <- seq(-m,m,by=0.01)
f <- exp(-abs(x)/2)/4

pdf("hansen3-2b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",xlim=c(-m,m),ylim=c(0,.25),ylab="",xlab="",bty="n",yaxt="n",xaxt="n",lwd=wd)
axis(side=1,seq(-m,m,4),lwd=wd)
dev.off()

postscript("hansen3-2b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",xlim=c(-m,m),ylim=c(0,.25),ylab="",xlab="",bty="n",yaxt="n",xaxt="n",lwd=wd)
axis(side=1,seq(-m,m,4),lwd=wd)
dev.off()
