#####################################
### This file generates Figure 3.3
### Normal, Cauchy, Student t, Logistic
#####################################

#####################################
### Student t
#####################################

x <- seq(-4,4,by=0.01)
y1 <- dt(x,1)
y2 <- dt(x,2)
y3 <- dt(x,5)
y4 <- dnorm(x)

wd <- 1.4

pdf("hansen3-3a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,y1,lty=5,type="l",xaxs="i",yaxs="i",xlim=c(-4,4),ylim=c(0,.42),ylab="",xlab="",yaxt="n",bty="n",lwd=wd)
lines(x,y2,lty=6,lwd=wd)
lines(x,y3,lty=2,lwd=wd)
lines(x,y4,lty=1,lwd=wd)
axis(side=1,seq(-5,5,1),lwd=wd)
legend("topright",legend=c("Normal",expression(t[5]),expression(t[2]),"Cauchy"), lty=c(1,2,6,5),lwd=wd,bty="n")
dev.off()

postscript("hansen3-3a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,y1,lty=5,type="l",xaxs="i",yaxs="i",xlim=c(-4,4),ylim=c(0,.42),ylab="",xlab="",yaxt="n",bty="n",lwd=wd)
lines(x,y2,lty=6,lwd=wd)
lines(x,y3,lty=2,lwd=wd)
lines(x,y4,lty=1,lwd=wd)
axis(side=1,seq(-5,5,1),lwd=wd)
legend("topright",legend=c("Normal",expression(t[5]),expression(t[2]),"Cauchy"), lty=c(1,2,6,5),lwd=wd,bty="n")
dev.off()

#####################################
### Logistic
#####################################

x <- seq(-8,8,by=0.01)
s <- pi/sqrt(3)
f1 <- dnorm(x/s)/s
f2 <- exp(-x)/((1+exp(-x))^2)

pdf("hansen3-3b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,f1,type="l",lty=2,xaxs="i",yaxs="i",xlim=c(-7,7),ylim=c(0,.3),ylab="",xlab="",yaxt="n",bty="n",lwd=wd)
lines(x,f2,lwd=wd)
axis(side=1,seq(-8,8,2),lwd=wd)
legend("topright",legend=c("Logistic","Normal"),lty=c(1,2),y.intersp=1.3,lwd=wd,bty="n")
dev.off()

postscript("hansen3-3b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,f1,type="l",lty=2,xaxs="i",yaxs="i",xlim=c(-7,7),ylim=c(0,.3),ylab="",xlab="",yaxt="n",bty="n",lwd=wd)
lines(x,f2,lwd=wd)
axis(side=1,seq(-8,8,2),lwd=wd)
legend("topright",legend=c("Logistic","Normal"),lty=c(1,2),y.intersp=1.3,lwd=wd,bty="n")
dev.off()
