#####################################
### This file generates Figure 3.4
### Chi-Square and F Densities
#####################################


#####################################
### Chi-Square
#####################################

x <- seq(0,10,.01)
g1 <- dchisq(x,2)
g2 <- dchisq(x,3)
g3 <- dchisq(x,4)
g4 <- dchisq(x,6)

wd <- 1.4

pdf("hansen3-4a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,g1,type="l",lty=1,xaxs="i",yaxs="i",xlim=c(-.1,10),ylab="",xlab="",xaxt="n",yaxt="n",bty="n",lwd=wd)
lines(x,g2,lty=6,lwd=wd)
lines(x,g3,lty=2,lwd=wd)
lines(x,g4,lty=5,lwd=wd)
legend("topright",legend=c(expression(r==2),expression(r==3),expression(r==4),expression(r==6)),lty=c(1,6,2,5),y.intersp=1.3,lwd=wd,bty="n")
axis(side=1,seq(0,10,1),lwd=wd)
abline(v=0,lwd=wd)
dev.off()

postscript("hansen3-4a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,g1,type="l",lty=1,xaxs="i",yaxs="i",xlim=c(-.1,10),ylab="",xlab="",xaxt="n",yaxt="n",bty="n",lwd=wd)
lines(x,g2,lty=6,lwd=wd)
lines(x,g3,lty=2,lwd=wd)
lines(x,g4,lty=5,lwd=wd)
legend("topright",legend=c(expression(r==2),expression(r==3),expression(r==4),expression(r==6)),lty=c(1,6,2,5),y.intersp=1.3,lwd=wd,bty="n")
axis(side=1,seq(0,10,1),lwd=wd)
abline(v=0,lwd=wd)
dev.off()

#####################################
### F
#####################################

x <- seq(0,5,by=0.01)
y1 <- df(x,2,10)
y2 <- df(x,3,10)
y3 <- df(x,6,10)
y4 <- df(x,8,10)

pdf("hansen3-4b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,y1,type="l",lty=1,xaxs="i",yaxs="i",xlim=c(-.1,5),ylim=c(0,1),ylab="",xlab="",yaxt="n",bty="n",lwd=wd)
lines(x,y2,lty=6,lwd=wd)
lines(x,y3,lty=2,lwd=wd)
lines(x,y4,lty=5,lwd=wd)
axis(side=1,seq(0,10,1),lwd=wd)
abline(v=0,lwd=wd)
legend("topright",legend=c(expression(m==2),expression(m==3),expression(m==6),expression(m==8)),lty=c(1,6,2,5),lwd=wd,bty="n")
dev.off()

postscript("hansen3-4b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,y1,type="l",lty=1,xaxs="i",yaxs="i",xlim=c(-.1,5),ylim=c(0,1),ylab="",xlab="",yaxt="n",bty="n",lwd=wd)
lines(x,y2,lty=6,lwd=wd)
lines(x,y3,lty=2,lwd=wd)
lines(x,y4,lty=5,lwd=wd)
axis(side=1,seq(0,10,1),lwd=wd)
abline(v=0,lwd=wd)
legend("topright",legend=c(expression(m==2),expression(m==3),expression(m==6),expression(m==8)),lty=c(1,6,2,5),lwd=wd,bty="n")
dev.off()


