######################################
### This file generates Figure 4.1
### Random Vectors
######################################
### Uses packages spatstat, diagram
#########################################

library(spatstat)
library(diagram)

x <- c(-2,4,4,-2)
y <- c(4,4,-3,-3)

pdf("hansen4-1.pdf",width=4.5,height=4.5,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-8.5,5),c(-5,5))
polygon(x,y,col=gray(.8),border=NA)
W1 <- ellipse(a=3,b=2.5,centre=c(-6,0),phi=0,npoly=1024)
plot(W1,lwd=1.4,add=TRUE)
text(-7,1,"HH",cex=.75)
text(-5,1,"TH",cex=.75)
text(-7,-1,"HT",cex=.75)
text(-5,-1,"TT",cex=.75)
arrows(1,0,4,0,angle=20,length=.1)
arrows(1,0,1,4,angle=20,length=.1)
arrows(1,0,-2,0,angle=20,length=.1)
arrows(1,0,1,-3,angle=20,length=.1)
points(1,0,pch=19,col="black")
points(3,0,pch=19,col="black")
points(1,2,pch=19,col="black")
points(3,2,pch=19,col="black")
arrows(-4.5,-.95,.9,-.1,angle=20,length=.1)
arrows(-4.5,1,.9,1.9,angle=20,length=.1)
text(1.8,-0.5,"(0,0)",cex=.75)
text(1.8,1.7,"(0,1)",cex=.75)
text(4.1,-0.5,"(1,0)",cex=.75)
text(3.8,1.7,"(1,1)",cex=.75)
curvedarrow((c(-7,1.3)),(c(2.9,2.2)),lty=1,lwd=1,arr.pos=1,curve=-.15,arr.type="simple",angle=50)
curvedarrow((c(-7,-1.3)),(c(3,-.2)),lty=1,lwd=1,arr.pos=1,curve=.15,arr.type="simple",angle=40)
text(-8.5,2,expression(italic(S)),cex=.75)
dev.off()

postscript("hansen4-1.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-8.5,5),c(-5,5))
polygon(x,y,col=gray(.8),border=NA)
W1 <- ellipse(a=3,b=2.5,centre=c(-6,0),phi=0,npoly=1024)
plot(W1,lwd=1.4,add=TRUE)
text(-7,1,"HH",cex=.75)
text(-5,1,"TH",cex=.75)
text(-7,-1,"HT",cex=.75)
text(-5,-1,"TT",cex=.75)
arrows(1,0,4,0,angle=20,length=.1)
arrows(1,0,1,4,angle=20,length=.1)
arrows(1,0,-2,0,angle=20,length=.1)
arrows(1,0,1,-3,angle=20,length=.1)
points(1,0,pch=19,col="black")
points(3,0,pch=19,col="black")
points(1,2,pch=19,col="black")
points(3,2,pch=19,col="black")
arrows(-4.5,-.95,.9,-.1,angle=20,length=.1)
arrows(-4.5,1,.9,1.9,angle=20,length=.1)
text(1.8,-0.5,"(0,0)",cex=.75)
text(1.8,1.7,"(0,1)",cex=.75)
text(4.1,-0.5,"(1,0)",cex=.75)
text(3.8,1.7,"(1,1)",cex=.75)
curvedarrow((c(-7,1.3)),(c(2.9,2.2)),lty=1,lwd=1,arr.pos=1,curve=-.15,arr.type="simple",angle=50)
curvedarrow((c(-7,-1.3)),(c(3,-.2)),lty=1,lwd=1,arr.pos=1,curve=.15,arr.type="simple",angle=40)
text(-8.5,2,expression(italic(S)),cex=.75)
dev.off()

