######################################
### This file generates Figure 4.2
### Random Vectors
######################################
### Uses packages spatstat, diagram
#########################################

library(spatstat)
library(diagram)

x <- c(-2,4,4,-2)
y <- c(4,4,-3,-3)

pdf("hansen4-2.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-8.5,5),c(-5,5))
polygon(x,y,col=gray(.8),border=NA)
W1 <- ellipse(a=2.5,b=2,centre=c(-6,0),phi=0,npoly=1024)
plot(W1,add=TRUE)
text(-5.5,.5,"a",cex=.75)
text(-7.5,1,"b",cex=.75)
text(-6,-0.5,"c",cex=.75)
text(-4.5,-.5,"d",cex=.75)
text(-6.5,-1.5,"e",cex=.75)
arrows(-2,-3,4,-3,angle=20,length=.1)
arrows(-2,-3,-2,4,angle=20,length=.1)
arrows(-5.3,.5,3,1,angle=20,length=.1)
arrows(-7.3,1,1,3,angle=20,length=.1)
arrows(-5.8,-.6,1,-1,angle=20,length=.1)
arrows(-4.3,-.5,0,0,angle=20,length=.1)
arrows(-6.3,-1.5,-1,-2.5,angle=20,length=.1)
points(3.2,1,pch=19,col="black")
text(3.1,.5,"(35,25)",cex=.75)
points(1.2,3,pch=19,col="black")
text(1.2,2.4,"(25,40)",cex=.75)
points(1.2,-1,pch=19,col="black")
text(1.1,-1.5,"(25,15)",cex=.75)
points(0.2,0,pch=19,col="black")
text(0.2,-0.5,"(15,20)",cex=.75)
points(-.8,-2.5,pch=19,col="black")
text(.1,-2.5,"(6,8)",cex=.75)
text(-6,-4,"Sample Space",cex=.75)
text(1.2,-4,"Bivariate Outcomes",cex=.75)
text(4.6,-3.3,"wage",cex=.75)
text(-2,4.3,"experience",cex=.75)
text(-8.0,2,expression(italic(S)),cex=.75)
dev.off()

postscript("hansen4-2.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-8.5,5),c(-5,5))
polygon(x,y,col=gray(.8),border=NA)
W1 <- ellipse(a=2.5,b=2,centre=c(-6,0),phi=0,npoly=1024)
plot(W1,add=TRUE)
text(-5.5,.5,"a",cex=.75)
text(-7.5,1,"b",cex=.75)
text(-6,-0.5,"c",cex=.75)
text(-4.5,-.5,"d",cex=.75)
text(-6.5,-1.5,"e",cex=.75)
arrows(-2,-3,4,-3,angle=20,length=.1)
arrows(-2,-3,-2,4,angle=20,length=.1)
arrows(-5.3,.5,3,1,angle=20,length=.1)
arrows(-7.3,1,1,3,angle=20,length=.1)
arrows(-5.8,-.6,1,-1,angle=20,length=.1)
arrows(-4.3,-.5,0,0,angle=20,length=.1)
arrows(-6.3,-1.5,-1,-2.5,angle=20,length=.1)
points(3.2,1,pch=19,col="black")
text(3.1,.5,"(35,25)",cex=.75)
points(1.2,3,pch=19,col="black")
text(1.2,2.4,"(25,40)",cex=.75)
points(1.2,-1,pch=19,col="black")
text(1.1,-1.5,"(25,15)",cex=.75)
points(0.2,0,pch=19,col="black")
text(0.2,-0.5,"(15,20)",cex=.75)
points(-.8,-2.5,pch=19,col="black")
text(.1,-2.5,"(6,8)",cex=.75)
text(-6,-4,"Sample Space",cex=.75)
text(1.2,-4,"Bivariate Outcomes",cex=.75)
text(4.6,-3.3,"wage",cex=.75)
text(-2,4.3,"experience",cex=.75)
text(-8.0,2,expression(italic(S)),cex=.75)
dev.off()

