#####################################
### This file generates Figure 4.3
### Bivariate Distribution
#####################################
### Uses data file cps09mar.txt
#########################################

dat <- read.table("cps09mar.txt")
wage <- as.matrix(dat[,5]/(dat[,6]*dat[,7]))
ex <- dat[,1] - dat[,4] - 6

F <- function (x,y) mean((wage <= x)*(ex <= y))

y <- seq(0,50,2)
x <- c(seq(0,10,2),seq(12.5,60,2.5))
xn <- length(x)
yn <- length(y)
z <- matrix(0,xn,yn)
for (j in 1:xn){
 for (i in 1:yn){
   z[j,i] <- F(x[j],y[i])
}}

pdf("hansen4-3.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
pmat <- persp(x,y,z,theta=-30,phi=10,d=1.5,ticktype="detailed",box=FALSE,xlim=c(-5,60),ylim=c(-5,50),col=gray(.8))
x.axis <- seq(0,60,by=10)
y.axis <- seq(0,50,by=10)
lines(trans3d(x.axis,0,0,pmat))
lines(trans3d(0,y.axis,0,pmat))
tick.start <- trans3d(x.axis, 0, 0, pmat)
tick.end   <- trans3d(x.axis,-2, 0, pmat)
segments(tick.start$x, tick.start$y, tick.end$x, tick.end$y)
labels <- as.character(x.axis)
label.pos <- trans3d(x.axis-2, -4, 0, pmat)
text(label.pos$x, label.pos$y, labels=labels, adj=c(0, NA),cex=.75)
y.axis <- seq(0,50,by=10)
tick.start <- trans3d(0, y.axis, 0, pmat)
tick.end   <- trans3d(-2, y.axis, 0, pmat)
segments(tick.start$x, tick.start$y, tick.end$x, tick.end$y)
labels <- as.character(y.axis)
label.pos <- trans3d(-6, y.axis, 0, pmat)
text(label.pos$x, label.pos$y, labels=labels, adj=c(0, NA),cex=.75)
text(trans3d(24,-12,0,pmat),"Wage",cex=.75)
text(trans3d(-18,10,0,pmat),"Experience",cex=.75)
dev.off()

postscript("hansen4-3.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
pmat <- persp(x,y,z,theta=-30,phi=10,d=1.5,ticktype="detailed",box=FALSE,xlim=c(-5,60),ylim=c(-5,50),col=gray(.8))
x.axis <- seq(0,60,by=10)
y.axis <- seq(0,50,by=10)
lines(trans3d(x.axis,0,0,pmat))
lines(trans3d(0,y.axis,0,pmat))
tick.start <- trans3d(x.axis, 0, 0, pmat)
tick.end   <- trans3d(x.axis,-2, 0, pmat)
segments(tick.start$x, tick.start$y, tick.end$x, tick.end$y)
labels <- as.character(x.axis)
label.pos <- trans3d(x.axis-2, -4, 0, pmat)
text(label.pos$x, label.pos$y, labels=labels, adj=c(0, NA),cex=.75)
y.axis <- seq(0,50,by=10)
tick.start <- trans3d(0, y.axis, 0, pmat)
tick.end   <- trans3d(-2, y.axis, 0, pmat)
segments(tick.start$x, tick.start$y, tick.end$x, tick.end$y)
labels <- as.character(y.axis)
label.pos <- trans3d(-6, y.axis, 0, pmat)
text(label.pos$x, label.pos$y, labels=labels, adj=c(0, NA),cex=.75)
text(trans3d(24,-12,0,pmat),"Wage",cex=.75)
text(trans3d(-18,10,0,pmat),"Experience",cex=.75)
dev.off()
