######################################
### This file generates Figure 4.4
### F(x,y)
######################################
### Uses package spatstat
#########################################

library(spatstat)

x <- c(-5,2,2,-5)
y <- c(2,2,-5,-5)

pdf("hansen4-4.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-5,5),c(-5,5))
polygon(x,y,col=gray(.8),border=NA)
abline(h=0)
abline(v=0)
points(2,2,pch=19,col="black")
arrows(2,2,2,-5,angle=20,length=.15)
arrows(2,2,-5,2,angle=20,length=.15)
text(3,2.2,"(x,y)",cex=.75)
lab=expression(paste(P,"[",X<=x,", ",Y<=y,"]"))
text(-2.2,-1.5,lab,cex=.75)
dev.off()

postscript("hansen4-4.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-5,5),c(-5,5))
polygon(x,y,col=gray(.8),border=NA)
abline(h=0)
abline(v=0)
points(2,2,pch=19,col="black")
arrows(2,2,2,-5,angle=20,length=.15)
arrows(2,2,-5,2,angle=20,length=.15)
text(3,2.2,"(x,y)",cex=.75)
lab=expression(paste(P,"[",X<=x,", ",Y<=y,"]"))
text(-2.2,-1.5,lab,cex=.75)
dev.off()
