######################################
### This file generates Figure 4.5
### Prob and F(x,y)
######################################
### Uses package spatstat
#########################################

library(spatstat)

x <- c(-2,3,3,-2)
y <- c(3,3,-2,-2)

pdf("hansen4-5.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-5,5),c(-5,5))
polygon(x,y,col=gray(.8),border=NA)
abline(h=0)
abline(v=0)
points(3,3,pch=19,col="black",cex=.75)
points(3,-2,pch=19,col="black",cex=.75)
points(-2,3,pch=19,col="black",cex=.75)
points(-2,-2,pch=19,col="black",cex=.75)
lines(c(-2,3),c(-2,-2))
lines(c(-2,3),c(3,3))
lines(c(-2,-2),c(-2,3))
lines(c(3,3),c(-2,3))
text(4,3.2,"F(b,d)",cex=.75)
text(4,-2.2,"F(b,c)",cex=.75)
text(-3,3.2,"F(a,d)",cex=.75)
text(-3,-2.2,"F(a,c)",cex=.75)
text(5,-.3,"X",cex=.75)
text(.25,5,"Y",cex=.75)
points(3,0,pch=19,col="black",cex=.75)
points(-2,0,pch=19,col="black",cex=.75)
points(0,3,pch=19,col="black",cex=.75)
points(0,-2,pch=19,col="black",cex=.75)
text(-2.25,.25,"a",cex=.75)
text(3.25,.3,"b",cex=.75)
text(.25,-2.25,"c",cex=.75)
text(.25,3.3,"d",cex=.75)
lab <- expression(paste(P,"[a<",X<=b,", c<",Y<=d,"]"))
text(0.6,1.1,lab,cex=.75)
dev.off()

postscript("hansen4-5.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-5,5),c(-5,5))
polygon(x,y,col=gray(.8),border=NA)
abline(h=0)
abline(v=0)
points(3,3,pch=19,col="black",cex=.75)
points(3,-2,pch=19,col="black",cex=.75)
points(-2,3,pch=19,col="black",cex=.75)
points(-2,-2,pch=19,col="black",cex=.75)
lines(c(-2,3),c(-2,-2))
lines(c(-2,3),c(3,3))
lines(c(-2,-2),c(-2,3))
lines(c(3,3),c(-2,3))
text(4,3.2,"F(b,d)",cex=.75)
text(4,-2.2,"F(b,c)",cex=.75)
text(-3,3.2,"F(a,d)",cex=.75)
text(-3,-2.2,"F(a,c)",cex=.75)
text(5,-.3,"X",cex=.75)
text(.25,5,"Y",cex=.75)
points(3,0,pch=19,col="black",cex=.75)
points(-2,0,pch=19,col="black",cex=.75)
points(0,3,pch=19,col="black",cex=.75)
points(0,-2,pch=19,col="black",cex=.75)
text(-2.25,.25,"a",cex=.75)
text(3.25,.3,"b",cex=.75)
text(.25,-2.25,"c",cex=.75)
text(.25,3.3,"d",cex=.75)
lab <- expression(paste(P,"[a<",X<=b,", c<",Y<=d,"]"))
text(0.6,1.1,lab,cex=.75)
dev.off()
