#####################################
### This file generates Figure 4.6
### Joint Density
#####################################

f <- function (x,y) (1/4)*(x+y)*(x*y)*exp(-x-y)

x <- seq(0,8,0.2)
y <- seq(0,8,0.2)
xn <- length(x)
yn <- length(y)
z <- matrix(0,xn,yn)
for (j in 1:xn){
 for (i in 1:yn){
   z[j,i] <- f(x[j],y[i])
}}

pdf("hansen4-6.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
pmat <- persp(x,y,z,theta=-60,phi=10,d=1.5,r=4,ticktype="detailed",box=FALSE,xlim=c(-1,8),ylim=c(-1,8),col=gray(.8))
x.axis <- seq(0,8,by=2)
tick.start <- trans3d(x.axis, 0, 0, pmat)
tick.end   <- trans3d(x.axis,-0.4, 0, pmat)
segments(tick.start$x, tick.start$y, tick.end$x, tick.end$y)
labels <- as.character(x.axis)
label.pos <- trans3d(x.axis, -0.5, 0, pmat)
text(label.pos$x, label.pos$y, labels=labels, adj=c(0, NA),cex=.75)
y.axis <- seq(0,8,by=2)
tick.start <- trans3d(0, y.axis, 0, pmat)
tick.end   <- trans3d(-0.4, y.axis, 0, pmat)
segments(tick.start$x, tick.start$y, tick.end$x, tick.end$y)
labels <- as.character(y.axis)
label.pos <- trans3d(-1, y.axis, 0, pmat)
text(label.pos$x, label.pos$y, labels=labels, adj=c(0, NA),cex=.75)
text(trans3d(3,-2,0,pmat),"X",cex=.75)
text(trans3d(-2,3,0,pmat),"Y",cex=.75)
dev.off()

postscript("hansen4-6.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
pmat <- persp(x,y,z,theta=-60,phi=10,d=1.5,ticktype="detailed",box=FALSE,xlim=c(-1,8),ylim=c(-1,8))
x.axis <- seq(0,8,by=2)
tick.start <- trans3d(x.axis, 0, 0, pmat)
tick.end   <- trans3d(x.axis,-0.2, 0, pmat)
segments(tick.start$x, tick.start$y, tick.end$x, tick.end$y)
labels <- as.character(x.axis)
label.pos <- trans3d(x.axis, -0.5, 0, pmat)
text(label.pos$x, label.pos$y, labels=labels, adj=c(0, NA),cex=.75)
y.axis <- seq(0,8,by=2)
tick.start <- trans3d(0, y.axis, 0, pmat)
tick.end   <- trans3d(-0.2, y.axis, 0, pmat)
segments(tick.start$x, tick.start$y, tick.end$x, tick.end$y)
labels <- as.character(y.axis)
label.pos <- trans3d(-1, y.axis, 0, pmat)
text(label.pos$x, label.pos$y, labels=labels, adj=c(0, NA),cex=.75)
text(trans3d(3,-2,0,pmat),"X",cex=.75)
text(trans3d(-2,3,0,pmat),"Y",cex=.75)
dev.off()
