######################################
### This file generates Figure 6.1
### Sampling
######################################
### Uses packages spatstat, diagram
#########################################

library(spatstat)
library(diagram)

pdf("hansen6-1.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot.new()
plot.window(c(-8.5,5),c(-5,5))
W1 <- ellipse(a=2.5,b=2,centre=c(-6,0),phi=0,npoly=1024)
plot(W1,add=TRUE)
W2 <- ellipse(a=2.5,b=2,centre=c(3,0),phi=0,npoly=1024)
plot(W2,add=TRUE)
text(-6.5,-1,"a",cex=.6)
text(-7,1.1,"b",cex=.6)
text(-5,1.2,"c",cex=.6)
text(-4,0,"d",cex=.6)
text(-6,-1.5,"e",cex=.6)
text(-6.5,0.5,"f",cex=.6)
text(-8.2,.5,"g",cex=.6)
text(-5,0.6,"h",cex=.6)
text(-6.2,1.2,"i",cex=.6)
text(-7,1.5,"j",cex=.6)
text(-8,-.5,"k",cex=.6)
text(-5.8,0.8,"l",cex=.6)
text(-7,-1.1,"m",cex=.6)
text(-7.5,1,"n",cex=.6)
text(-5,-1,"o",cex=.6)
text(-6.8,-.3,"p",cex=.6)
text(-5.5,-.2,"q",cex=.6)
text(-4.7,-.8,"r",cex=.6)
text(-6.2,1.8,"s",cex=.6)
text(-7.5,.2,"t",cex=.6)
text(-4.3,.5,"u",cex=.6)
text(-4.5,-.2,"v",cex=.6)
text(-4.3,-.7,"w",cex=.6)
text(-5.3,1.5,"x",cex=.6)
text(-6.3,-.1,"y",cex=.6)
text(-6.1,-.6,"z",cex=.6)
text(2,1.1,"b",cex=.6)
text(3,-1.5,"e",cex=.6)
text(4,0.6,"h",cex=.6)
text(2,-1.1,"m",cex=.6)
text(5.7,.5,"u",cex=.6)
text(3.7,1.5,"x",cex=.6)
arrows(-3.5,1,0.5,1,angle=20,length=.1)
arrows(0.5,-1,-3.5,-1,angle=20,length=.1)
text(-6,3,"Population",cex=.75)
text(3,3,"Sample",cex=.75)
text(-1.6,1.3,"Sampling",cex=.75)
text(-1.4,-1.3,"Inference",cex=.75)
dev.off()

postscript("hansen6-1.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot.new()
plot.window(c(-8.5,5),c(-5,5))
W1 <- ellipse(a=2.5,b=2,centre=c(-6,0),phi=0,npoly=1024)
plot(W1,add=TRUE)
W2 <- ellipse(a=2.5,b=2,centre=c(3,0),phi=0,npoly=1024)
plot(W2,add=TRUE)
text(-6.5,-1,"a",cex=.6)
text(-7,1.1,"b",cex=.6)
text(-5,1.2,"c",cex=.6)
text(-4,0,"d",cex=.6)
text(-6,-1.5,"e",cex=.6)
text(-6.5,0.5,"f",cex=.6)
text(-8.2,.5,"g",cex=.6)
text(-5,0.6,"h",cex=.6)
text(-6.2,1.2,"i",cex=.6)
text(-7,1.5,"j",cex=.6)
text(-8,-.5,"k",cex=.6)
text(-5.8,0.8,"l",cex=.6)
text(-7,-1.1,"m",cex=.6)
text(-7.5,1,"n",cex=.6)
text(-5,-1,"o",cex=.6)
text(-6.8,-.3,"p",cex=.6)
text(-5.5,-.2,"q",cex=.6)
text(-4.7,-.8,"r",cex=.6)
text(-6.2,1.8,"s",cex=.6)
text(-7.5,.2,"t",cex=.6)
text(-4.3,.5,"u",cex=.6)
text(-4.5,-.2,"v",cex=.6)
text(-4.3,-.7,"w",cex=.6)
text(-5.3,1.5,"x",cex=.6)
text(-6.3,-.1,"y",cex=.6)
text(-6.1,-.6,"z",cex=.6)
text(2,1.1,"b",cex=.6)
text(3,-1.5,"e",cex=.6)
text(4,0.6,"h",cex=.6)
text(2,-1.1,"m",cex=.6)
text(5.7,.5,"u",cex=.6)
text(3.7,1.5,"x",cex=.6)
arrows(-3.5,1,0.5,1,angle=20,length=.1)
arrows(0.5,-1,-3.5,-1,angle=20,length=.1)
text(-6,3,"Population",cex=.75)
text(3,3,"Sample",cex=.75)
text(-1.6,1.3,"Sampling",cex=.75)
text(-1.4,-1.3,"Inference",cex=.75)
dev.off()
