#####################################
### This file generates Figure 7.1 
### Limits
#####################################

x <- seq(2.7*pi,25.5*pi,by=0.1)
an <- sin(x)/x
n <- length(x)
a <- matrix(0,n,1)

pdf("hansen7-1.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,an,lty=1,type="l",xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(2.7*pi,26.3*pi),xaxt="n",yaxt="n",bty="n")
lines(x,a,lty=5)
nd <- 14.5*pi
d <- sin(nd)/nd
abline(h=d,lty=2)
abline(h=-d,lty=2)
points(nd,d,pch=19,cex=.8)
text(70,d+.01,expression(a+delta),cex=.75)
text(70,-d-.01,expression(a-delta),cex=.75)
text(nd,d+.01,expression(n[delta]),cex=.75)
nd <- 4.5*pi
d <- sin(nd)/nd
text(nd,d+.01,expression(a[n]),cex=.75)
text(26.1*pi,0,"a",cex=.75)
dev.off()


postscript("hansen7-1.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,an,lty=1,type="l",xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(2.7*pi,26.3*pi),xaxt="n",yaxt="n",bty="n")
lines(x,a,lty=5)
nd <- 14.5*pi
d <- sin(nd)/nd
abline(h=d,lty=2)
abline(h=-d,lty=2)
points(nd,d,pch=19,cex=.8)
text(70,d+.01,expression(a+delta),cex=.75)
text(70,-d-.01,expression(a-delta),cex=.75)
text(nd,d+.01,expression(n[delta]),cex=.75)
nd <- 4.5*pi
d <- sin(nd)/nd
text(nd,d+.01,expression(a[n]),cex=.75)
text(26.1*pi,0,"a",cex=.75)
dev.off()
