#####################################
### This file generates Figure 7.2
### Contintuity
#####################################


x <- seq(-.1,2,by=0.01)
f <- exp(x)
c <- 1.25
cL <- c - .2
cU <- c + .2
h <- exp(c)
hL <- exp(cL)
hU <- exp(cU)

wd <- 1.4

pdf("hansen7-2a.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(-.5,2),ylim=c(.5,6),xaxt="n",bty="n",yaxt="n",lwd=wd)
abline(h=1,lwd=wd)
abline(v=0,lwd=wd)
text(1.9,5.6,expression(h(x)),cex=.8)
text(c,.62,expression(c),cex=.8)
text(cU,.62,expression(c+delta),cex=.8)
text(cL,.62,expression(c-delta),cex=.8)
points(c,1,pch=19,col="black",cex=.7)
text(cU,1,")",cex=1)
text(cL,1,"(",cex=1)
arrows(c+.1,1,c+.1,exp(c+.1),angle=20,length=.1,lwd=1)
arrows(c-.1,1,c-.1,exp(c-.1),angle=20,length=.1,lwd=1)
arrows(c+.1,exp(c+.1),0,exp(c+.1),angle=20,length=.1,lwd=1)
arrows(c-.1,exp(c-.1),0,exp(c-.1),angle=20,length=.1,lwd=1)
text(-.32,h,expression(h(c)),cex=.8)
text(-.25,h+.77,expression(h(c)+epsilon),cex=.8)
text(-.25,h-.77,expression(h(c)-epsilon),cex=.8)
points(0,h,pch=19,col="black",cex=.7)
text(0,h+.77,"]",srt=90,cex=1)
text(0,h-.77,"[",srt=90,cex=1)
par(xpd=NA)
dev.off()

postscript("hansen7-2a.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,f,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(-.5,2),ylim=c(.5,6),xaxt="n",bty="n",yaxt="n",lwd=wd)
abline(h=1,lwd=wd)
abline(v=0,lwd=wd)
text(1.9,5.6,expression(h(x)),cex=.8)
text(c,.62,expression(c),cex=.8)
text(cU,.62,expression(c+delta),cex=.8)
text(cL,.62,expression(c-delta),cex=.8)
points(c,1,pch=19,col="black",cex=.7)
text(cU,1,")",cex=1)
text(cL,1,"(",cex=1)
arrows(c+.1,1,c+.1,exp(c+.1),angle=20,length=.1,lwd=1)
arrows(c-.1,1,c-.1,exp(c-.1),angle=20,length=.1,lwd=1)
arrows(c+.1,exp(c+.1),0,exp(c+.1),angle=20,length=.1,lwd=1)
arrows(c-.1,exp(c-.1),0,exp(c-.1),angle=20,length=.1,lwd=1)
text(-.32,h,expression(h(c)),cex=.8)
text(-.25,h+.77,expression(h(c)+epsilon),cex=.8)
text(-.25,h-.77,expression(h(c)-epsilon),cex=.8)
points(0,h,pch=19,col="black",cex=.7)
text(0,h+.77,"]",srt=90,cex=1)
text(0,h-.77,"[",srt=90,cex=1)
par(xpd=NA)
dev.off()


x1 <- seq(-.1,c-.01,.01)
x2 <- seq(c+.01,3,.01)
f1 <- exp(x1)
f2 <- exp(x2) + 1

pdf("hansen7-2b.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x1,f1,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(-.5,2),ylim=c(.5,6),xaxt="n",bty="n",yaxt="n",lwd=wd)
lines(x2,f2)
points(c,h,col="black",cex=.7)
points(c,h+1,col="black",cex=.7,pch=19)
abline(h=1,lwd=wd)
abline(v=0,lwd=wd)
text(c,.62,expression(c),cex=.8)
text(cU,.62,expression(c+delta),cex=.8)
text(cL,.62,expression(c-delta),cex=.8)
points(c,1,pch=19,col="black",cex=.7)
text(cU,1,")",cex=1)
text(cL,1,"(",cex=1)
text(-.32,h,expression(h(c)),cex=.8)
text(-.25,h+.77,expression(h(c)+epsilon),cex=.8)
text(-.25,h-.77,expression(h(c)-epsilon),cex=.8)
points(0,h,pch=19,col="black",cex=.7)
text(0,h+.77,"]",srt=90,cex=1)
text(0,h-.77,"[",srt=90,cex=1)
text(1.7,5.6,expression(h(x)),cex=.8)
arrows(c+.1,1,c+.1,exp(c+.1)+1,angle=20,length=.1,lwd=1)
arrows(c-.1,1,c-.1,exp(c-.1),angle=20,length=.1,lwd=1)
arrows(c+.1,exp(c+.1)+1,0,exp(c+.1)+1,angle=20,length=.1,lwd=1)
arrows(c-.1,exp(c-.1),0,exp(c-.1),angle=20,length=.1,lwd=1)
par(xpd=NA)
dev.off()

postscript("hansen7-2b.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x1,f1,type="l",lty=1,xaxs="i",yaxs="i",ylab="",xlab="",xlim=c(-.5,2),ylim=c(.5,6),xaxt="n",bty="n",yaxt="n",lwd=wd)
lines(x2,f2)
points(c,h,col="black",cex=.7)
points(c,h+1,col="black",cex=.7,pch=19)
abline(h=1,lwd=wd)
abline(v=0,lwd=wd)
text(c,.62,expression(c),cex=.8)
text(cU,.62,expression(c+delta),cex=.8)
text(cL,.62,expression(c-delta),cex=.8)
points(c,1,pch=19,col="black",cex=.7)
text(cU,1,")",cex=1)
text(cL,1,"(",cex=1)
text(-.32,h,expression(h(c)),cex=.8)
text(-.25,h+.77,expression(h(c)+epsilon),cex=.8)
text(-.25,h-.77,expression(h(c)-epsilon),cex=.8)
points(0,h,pch=19,col="black",cex=.7)
text(0,h+.77,"]",srt=90,cex=1)
text(0,h-.77,"[",srt=90,cex=1)
text(1.7,5.6,expression(h(x)),cex=.8)
arrows(c+.1,1,c+.1,exp(c+.1)+1,angle=20,length=.1,lwd=1)
arrows(c-.1,1,c-.1,exp(c-.1),angle=20,length=.1,lwd=1)
arrows(c+.1,exp(c+.1)+1,0,exp(c+.1)+1,angle=20,length=.1,lwd=1)
arrows(c-.1,exp(c-.1),0,exp(c-.1),angle=20,length=.1,lwd=1)
par(xpd=NA)
dev.off()


