#####################################
### This file generates Figure 8.1
### Limit of Standardized Chi-Squares
#####################################


x <- seq(-4,4,.01)
m1 <- 3
m2 <- 10
m3 <- 100

z1 <- m1+x*sqrt(m1)
z2 <- m2+x*sqrt(m2)
z3 <- m3+x*sqrt(m3)

F1 <- pchisq(z1,m1)
F2 <- pchisq(z2,m2)
F3 <- pchisq(z3,m3)
F4 <- pnorm(x,0,sqrt(2))

leg1 <- expression(n==3)
leg2 <- expression(n==10)
leg3 <- expression(n==100)
leg4 <- expression(N(0,2))


pdf("hansen8-1.pdf",family="Helvetica",colormodel='cmyk',width=4.5,height=4.5)
plot(x,F1,type="l",lty=6,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(0,1),xaxt="n",yaxt="n",bty="n")
axis(side=1,seq(-5,5,1),cex.axis=.75)
lines(x,F2,lty=5)
lines(x,F3,lty=2)
lines(x,F4,lty=1)
legend("bottomright",legend=c(leg1,leg2,leg3,leg4),lty=c(6,5,2,1),y.intersp=1.3,cex=.75,bty="n")
dev.off()

postscript("hansen8-1.eps",paper="special",width=4.5,height=4.5,horizontal=FALSE,onefile=FALSE,family="Helvetica",colormodel='cmyk')
plot(x,F1,type="l",lty=6,xaxs="i",yaxs="i",ylab="",xlab="",ylim=c(0,1),xaxt="n",yaxt="n",bty="n")
axis(side=1,seq(-5,5,1),cex.axis=.75)
lines(x,F2,lty=5)
lines(x,F3,lty=2)
lines(x,F4,lty=1)
legend("bottomright",legend=c(leg1,leg2,leg3,leg4),lty=c(6,5,2,1),y.intersp=1.3,cex=.75,bty="n")
dev.off()
